/* eslint-disable @typescript-eslint/ban-ts-comment */
import { fns } from '../../../../styles';
export const theme = {
    spacing: {
        xs: 10,
        sm: 12,
        md: 16,
        lg: 20,
        xl: 24
    },
    breakpoints: {
        xs: 576,
        sm: 768,
        md: 992,
        lg: 1200,
        xl: 1400
    }
};
export function getSortedBreakpoints(breakpoints, theme) {
    if (!breakpoints) {
        return [];
    }
    const values = Object.keys(breakpoints)
        .filter((breakpoint) => breakpoint !== 'base')
        .map((breakpoint) => [
        fns.size({ size: breakpoint, sizes: theme.breakpoints }),
        breakpoints[breakpoint]
    ]);
    // @ts-ignore
    values.sort((a, b) => a[0] - b[0]);
    return values;
}
