import { SvelteComponentTyped } from "svelte";
import type { CloseButtonProps as $$CloseButtonProps } from '../ActionIcon.styles';
declare const __propDef: {
    props: {
        use?: $$CloseButtonProps['use'];
        element?: $$CloseButtonProps['element'];
        class?: string;
        override?: $$CloseButtonProps['override'];
        iconSize?: $$CloseButtonProps['iconSize'];
        root?: $$CloseButtonProps['root'];
        color?: $$CloseButtonProps['color'];
        variant?: $$CloseButtonProps['variant'];
        size?: $$CloseButtonProps['size'];
        radius?: $$CloseButtonProps['radius'];
        loaderProps?: $$CloseButtonProps['loaderProps'];
        loading?: $$CloseButtonProps['loading'];
        disabled?: $$CloseButtonProps['disabled'];
        href?: $$CloseButtonProps['href'];
        external?: $$CloseButtonProps['external'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export declare type CloseButtonProps = typeof __propDef.props;
export declare type CloseButtonEvents = typeof __propDef.events;
export declare type CloseButtonSlots = typeof __propDef.slots;
/**
 * CloseButton is a premade ActionIcon with close icon
 *
 * @see https://svelteui.org/core/action-icon
 * @example
 * ```tsx
 * <CloseButton /> // standard CloseButton
 * ```
 */
export default class CloseButton extends SvelteComponentTyped<CloseButtonProps, CloseButtonEvents, CloseButtonSlots> {
}
export {};
