import type { TextProps } from '../Text/Text.styles';
export interface AnchorProps extends TextProps {
    root: TextProps['root'];
    external: boolean;
}
declare const _default: (params?: void) => {
    cx: (...args: import("../../styles/engine/css").ArgumentArray) => string;
    theme: import("../../styles/engine/types").SvelteUITheme;
    classes: any;
    getStyles: import("@stitches/core/types/styled-component").CssComponent<never, {}, {
        xs: "(min-width: 576px)";
        sm: "(min-width: 768px)";
        md: "(min-width: 992px)";
        lg: "(min-width: 1200px)";
        xl: "(min-width: 1400px)";
    }, import("@stitches/core/types/css-util").CSS<{
        xs: "(min-width: 576px)";
        sm: "(min-width: 768px)";
        md: "(min-width: 992px)";
        lg: "(min-width: 1200px)";
        xl: "(min-width: 1400px)";
    }, {
        colors: {
            [x: string]: any;
        };
        space: {
            0: string;
            xs: number;
            sm: number;
            md: number;
            lg: number;
            xl: number;
            xsPX: string;
            smPX: string;
            mdPX: string;
            lgPX: string;
            xlPX: string;
            1: string;
            2: string;
            3: string;
            4: string;
            5: string;
            6: string;
            7: string;
            8: string;
            9: string;
            10: string;
            11: string;
            12: string;
            13: string;
            14: string;
            15: string;
            16: string;
            17: string;
            18: string;
            20: string;
            24: string;
            28: string;
            32: string;
            36: string;
            40: string;
            44: string;
            48: string;
            52: string;
            56: string;
            60: string;
            64: string;
            72: string;
            80: string;
            96: string;
        };
        fontSizes: {
            xs: string;
            sm: string;
            md: string;
            lg: string;
            xl: string;
        };
        fonts: {
            standard: string;
            mono: string;
            fallback: string;
        };
        fontWeights: {
            thin: number;
            extralight: number;
            light: number;
            normal: number;
            medium: number;
            semibold: number;
            bold: number;
            extrabold: number;
        };
        lineHeights: {
            xs: number;
            sm: number;
            md: number;
            lg: number;
            xl: number;
        };
        letterSpacings: {
            tighter: string;
            tight: string;
            normal: string;
            wide: string;
            wider: string;
            widest: string;
        };
        sizes: unknown;
        radii: {
            xs: string;
            sm: string;
            md: string;
            lg: string;
            xl: string;
            squared: string;
            rounded: string;
            pill: string;
        };
        shadows: {
            xs: string;
            sm: string;
            md: string;
            lg: string;
            xl: string;
        };
        zIndices: {
            1: string;
            2: string;
            3: string;
            4: string;
            5: string;
            10: string;
            max: string;
        };
        borderWidths: {
            light: string;
            normal: string;
            bold: string;
            extrabold: string;
            black: string;
            xs: string;
            sm: string;
            md: string;
            lg: string;
            xl: string;
        };
        breakpoints: {
            xs: number;
            sm: number;
            md: number;
            lg: number;
            xl: number;
        };
        borderStyles: unknown;
        transitions: unknown;
    }, {
        width: "space";
        height: "space";
        minWidth: "space";
        maxWidth: "space";
        minHeight: "space";
        maxHeight: "space";
        flexBasis: "space";
        gridTemplateColumns: "space";
        gridTemplateRows: "space";
        blockSize: "space";
        minBlockSize: "space";
        maxBlockSize: "space";
        inlineSize: "space";
        minInlineSize: "space";
        maxInlineSize: "space";
        borderWidth: "borderWeights";
        gap: "space";
        gridGap: "space";
        columnGap: "space";
        gridColumnGap: "space";
        rowGap: "space";
        gridRowGap: "space";
        inset: "space";
        insetBlock: "space";
        insetBlockEnd: "space";
        insetBlockStart: "space";
        insetInline: "space";
        insetInlineEnd: "space";
        insetInlineStart: "space";
        margin: "space";
        marginTop: "space";
        marginRight: "space";
        marginBottom: "space";
        marginLeft: "space";
        marginBlock: "space";
        marginBlockEnd: "space";
        marginBlockStart: "space";
        marginInline: "space";
        marginInlineEnd: "space";
        marginInlineStart: "space";
        padding: "space";
        paddingTop: "space";
        paddingRight: "space";
        paddingBottom: "space";
        paddingLeft: "space";
        paddingBlock: "space";
        paddingBlockEnd: "space";
        paddingBlockStart: "space";
        paddingInline: "space";
        paddingInlineEnd: "space";
        paddingInlineStart: "space";
        scrollMargin: "space";
        scrollMarginTop: "space";
        scrollMarginRight: "space";
        scrollMarginBottom: "space";
        scrollMarginLeft: "space";
        scrollMarginBlock: "space";
        scrollMarginBlockEnd: "space";
        scrollMarginBlockStart: "space";
        scrollMarginInline: "space";
        scrollMarginInlineEnd: "space";
        scrollMarginInlineStart: "space";
        scrollPadding: "space";
        scrollPaddingTop: "space";
        scrollPaddingRight: "space";
        scrollPaddingBottom: "space";
        scrollPaddingLeft: "space";
        scrollPaddingBlock: "space";
        scrollPaddingBlockEnd: "space";
        scrollPaddingBlockStart: "space";
        scrollPaddingInline: "space";
        scrollPaddingInlineEnd: "space";
        scrollPaddingInlineStart: "space";
        top: "space";
        right: "space";
        bottom: "space";
        left: "space";
        fontSize: "fontSizes";
        background: "colors";
        backgroundColor: "colors";
        backgroundImage: "colors";
        borderImage: "colors";
        border: "colors";
        borderBlock: "colors";
        borderBlockEnd: "colors";
        borderBlockStart: "colors";
        borderBottom: "colors";
        borderBottomColor: "colors";
        borderColor: "colors";
        borderInline: "colors";
        borderInlineEnd: "colors";
        borderInlineStart: "colors";
        borderLeft: "colors";
        borderLeftColor: "colors";
        borderRight: "colors";
        borderRightColor: "colors";
        borderTop: "colors";
        borderTopColor: "colors";
        caretColor: "colors";
        color: "colors";
        columnRuleColor: "colors";
        outline: "colors";
        outlineColor: "colors";
        fill: "colors";
        stroke: "colors";
        textDecorationColor: "colors";
        fontFamily: "fonts";
        fontWeight: "fontWeights";
        lineHeight: "lineHeights";
        letterSpacing: "letterSpacings";
        borderTopWidth: "borderWidths";
        borderLeftWidth: "borderWidths";
        borderRightWidth: "borderWidths";
        borderBottomWidth: "borderWidths";
        borderStyle: "borderStyles";
        borderTopStyle: "borderStyles";
        borderLeftStyle: "borderStyles";
        borderRightStyle: "borderStyles";
        borderBottomStyle: "borderStyles";
        borderRadius: "radii";
        borderTopLeftRadius: "radii";
        borderTopRightRadius: "radii";
        borderBottomRightRadius: "radii";
        borderBottomLeftRadius: "radii";
        boxShadow: "shadows";
        textShadow: "shadows";
        transition: "transitions";
        zIndex: "zIndices";
    }, {
        focusRing: (value: "auto" | "always" | "never") => {
            WebkitTapHighlightColor: string;
            '&:focus': {
                outlineOffset: number;
                outline: string;
            };
            '&:focus:not(:focus-visible)': {
                outline: string;
            };
        };
        p: (value: {
            readonly [$$ScaleValue]: "space";
        }) => {
            padding: {
                readonly [$$ScaleValue]: "space";
            };
        };
        pt: (value: string | number | {
            readonly [$$ScaleValue]: "space";
        }) => {
            paddingTop: string | number | {
                readonly [$$ScaleValue]: "space";
            };
        };
        pr: (value: string | number | {
            readonly [$$ScaleValue]: "space";
        }) => {
            paddingRight: string | number | {
                readonly [$$ScaleValue]: "space";
            };
        };
        pb: (value: string | number | {
            readonly [$$ScaleValue]: "space";
        }) => {
            paddingBottom: string | number | {
                readonly [$$ScaleValue]: "space";
            };
        };
        pl: (value: string | number | {
            readonly [$$ScaleValue]: "space";
        }) => {
            paddingLeft: string | number | {
                readonly [$$ScaleValue]: "space";
            };
        };
        px: (value: string | number | {
            readonly [$$ScaleValue]: "space";
        }) => {
            paddingLeft: string | number | {
                readonly [$$ScaleValue]: "space";
            };
            paddingRight: string | number | {
                readonly [$$ScaleValue]: "space";
            };
        };
        py: (value: string | number | {
            readonly [$$ScaleValue]: "space";
        }) => {
            paddingTop: string | number | {
                readonly [$$ScaleValue]: "space";
            };
            paddingBottom: string | number | {
                readonly [$$ScaleValue]: "space";
            };
        };
        m: (value: string | number | {
            readonly [$$ScaleValue]: "space";
        }) => {
            margin: string | number | {
                readonly [$$ScaleValue]: "space";
            };
        };
        mt: (value: string | number | {
            readonly [$$ScaleValue]: "space";
        }) => {
            marginTop: string | number | {
                readonly [$$ScaleValue]: "space";
            };
        };
        mr: (value: string | number | {
            readonly [$$ScaleValue]: "space";
        }) => {
            marginRight: string | number | {
                readonly [$$ScaleValue]: "space";
            };
        };
        mb: (value: string | number | {
            readonly [$$ScaleValue]: "space";
        }) => {
            marginBottom: string | number | {
                readonly [$$ScaleValue]: "space";
            };
        };
        ml: (value: string | number | {
            readonly [$$ScaleValue]: "space";
        }) => {
            marginLeft: string | number | {
                readonly [$$ScaleValue]: "space";
            };
        };
        mx: (value: string | number | {
            readonly [$$ScaleValue]: "space";
        }) => {
            marginLeft: string | number | {
                readonly [$$ScaleValue]: "space";
            };
            marginRight: string | number | {
                readonly [$$ScaleValue]: "space";
            };
        };
        my: (value: string | number | {
            readonly [$$ScaleValue]: "space";
        }) => {
            marginTop: string | number | {
                readonly [$$ScaleValue]: "space";
            };
            marginBottom: string | number | {
                readonly [$$ScaleValue]: "space";
            };
        };
        ta: (value: {
            readonly [$$PropertyValue]: "textAlign";
        }) => {
            textAlign: {
                readonly [$$PropertyValue]: "textAlign";
            };
        };
        tt: (value: {
            readonly [$$PropertyValue]: "textTransform";
        }) => {
            textTransform: {
                readonly [$$PropertyValue]: "textTransform";
            };
        };
        to: (value: {
            readonly [$$PropertyValue]: "textOverflow";
        }) => {
            textOverflow: {
                readonly [$$PropertyValue]: "textOverflow";
            };
        };
        d: (value: {
            readonly [$$PropertyValue]: "display";
        }) => {
            display: {
                readonly [$$PropertyValue]: "display";
            };
        };
        dflex: (value: {
            readonly [$$PropertyValue]: "alignItems" | "justifyContent";
        }) => {
            display: string;
            alignItems: {
                readonly [$$PropertyValue]: "alignItems" | "justifyContent";
            };
            justifyContent: {
                readonly [$$PropertyValue]: "alignItems" | "justifyContent";
            };
        };
        fd: (value: {
            readonly [$$PropertyValue]: "flexDirection";
        }) => {
            flexDirection: {
                readonly [$$PropertyValue]: "flexDirection";
            };
        };
        fw: (value: {
            readonly [$$PropertyValue]: "flexWrap";
        }) => {
            flexWrap: {
                readonly [$$PropertyValue]: "flexWrap";
            };
        };
        ai: (value: {
            readonly [$$PropertyValue]: "alignItems";
        }) => {
            alignItems: {
                readonly [$$PropertyValue]: "alignItems";
            };
        };
        ac: (value: {
            readonly [$$PropertyValue]: "alignContent";
        }) => {
            alignContent: {
                readonly [$$PropertyValue]: "alignContent";
            };
        };
        jc: (value: {
            readonly [$$PropertyValue]: "justifyContent";
        }) => {
            justifyContent: {
                readonly [$$PropertyValue]: "justifyContent";
            };
        };
        as: (value: {
            readonly [$$PropertyValue]: "alignSelf";
        }) => {
            alignSelf: {
                readonly [$$PropertyValue]: "alignSelf";
            };
        };
        fg: (value: {
            readonly [$$PropertyValue]: "flexGrow";
        }) => {
            flexGrow: {
                readonly [$$PropertyValue]: "flexGrow";
            };
        };
        fs: (value: {
            readonly [$$PropertyValue]: "fontSize";
        }) => {
            fontSize: {
                readonly [$$PropertyValue]: "fontSize";
            };
        };
        fb: (value: {
            readonly [$$PropertyValue]: "flexBasis";
        }) => {
            flexBasis: {
                readonly [$$PropertyValue]: "flexBasis";
            };
        };
        bc: (value: {
            readonly [$$PropertyValue]: "backgroundColor";
        }) => {
            backgroundColor: {
                readonly [$$PropertyValue]: "backgroundColor";
            };
        };
        bf: (value: {
            readonly [$$PropertyValue]: "backdropFilter";
        }) => {
            backdropFilter: {
                readonly [$$PropertyValue]: "backdropFilter";
            };
        };
        bg: (value: {
            readonly [$$PropertyValue]: "background";
        }) => {
            background: {
                readonly [$$PropertyValue]: "background";
            };
        };
        bgBlur: (value: {
            readonly [$$PropertyValue]: "background";
        }) => {
            bf: string;
            bg: {
                readonly [$$PropertyValue]: "background";
            };
        };
        bgColor: (value: {
            readonly [$$PropertyValue]: "backgroundColor";
        }) => {
            backgroundColor: {
                readonly [$$PropertyValue]: "backgroundColor";
            };
        };
        backgroundClip: (value: {
            readonly [$$PropertyValue]: "backgroundClip";
        }) => {
            WebkitBackgroundClip: {
                readonly [$$PropertyValue]: "backgroundClip";
            };
            backgroundClip: {
                readonly [$$PropertyValue]: "backgroundClip";
            };
        };
        bgClip: (value: {
            readonly [$$PropertyValue]: "backgroundClip";
        }) => {
            WebkitBackgroundClip: {
                readonly [$$PropertyValue]: "backgroundClip";
            };
            backgroundClip: {
                readonly [$$PropertyValue]: "backgroundClip";
            };
        };
        br: (value: {
            readonly [$$PropertyValue]: "borderRadius";
        }) => {
            borderRadius: {
                readonly [$$PropertyValue]: "borderRadius";
            };
        };
        bw: (value: {
            readonly [$$PropertyValue]: "borderWidth";
        }) => {
            borderWidth: {
                readonly [$$PropertyValue]: "borderWidth";
            };
        };
        btrr: (value: {
            readonly [$$PropertyValue]: "borderTopRightRadius";
        }) => {
            borderTopRightRadius: {
                readonly [$$PropertyValue]: "borderTopRightRadius";
            };
        };
        bbrr: (value: {
            readonly [$$PropertyValue]: "borderBottomRightRadius";
        }) => {
            borderBottomRightRadius: {
                readonly [$$PropertyValue]: "borderBottomRightRadius";
            };
        };
        bblr: (value: {
            readonly [$$PropertyValue]: "borderBottomLeftRadius";
        }) => {
            borderBottomLeftRadius: {
                readonly [$$PropertyValue]: "borderBottomLeftRadius";
            };
        };
        btlr: (value: {
            readonly [$$PropertyValue]: "borderTopLeftRadius";
        }) => {
            borderTopLeftRadius: {
                readonly [$$PropertyValue]: "borderTopLeftRadius";
            };
        };
        bs: (value: {
            readonly [$$PropertyValue]: "boxShadow";
        }) => {
            boxShadow: {
                readonly [$$PropertyValue]: "boxShadow";
            };
        };
        normalShadow: (value: string) => {
            boxShadow: string;
        };
        lh: (value: {
            readonly [$$PropertyValue]: "lineHeight";
        }) => {
            lineHeight: {
                readonly [$$PropertyValue]: "lineHeight";
            };
        };
        ov: (value: {
            readonly [$$PropertyValue]: "overflow";
        }) => {
            overflow: {
                readonly [$$PropertyValue]: "overflow";
            };
        };
        ox: (value: {
            readonly [$$PropertyValue]: "overflowX";
        }) => {
            overflowX: {
                readonly [$$PropertyValue]: "overflowX";
            };
        };
        oy: (value: {
            readonly [$$PropertyValue]: "overflowY";
        }) => {
            overflowY: {
                readonly [$$PropertyValue]: "overflowY";
            };
        };
        pe: (value: {
            readonly [$$PropertyValue]: "pointerEvents";
        }) => {
            pointerEvents: {
                readonly [$$PropertyValue]: "pointerEvents";
            };
        };
        events: (value: {
            readonly [$$PropertyValue]: "pointerEvents";
        }) => {
            pointerEvents: {
                readonly [$$PropertyValue]: "pointerEvents";
            };
        };
        us: (value: {
            readonly [$$PropertyValue]: "userSelect";
        }) => {
            WebkitUserSelect: {
                readonly [$$PropertyValue]: "userSelect";
            };
            userSelect: {
                readonly [$$PropertyValue]: "userSelect";
            };
        };
        userSelect: (value: {
            readonly [$$PropertyValue]: "userSelect";
        }) => {
            WebkitUserSelect: {
                readonly [$$PropertyValue]: "userSelect";
            };
            userSelect: {
                readonly [$$PropertyValue]: "userSelect";
            };
        };
        w: (value: {
            readonly [$$ScaleValue]: "space";
        }) => {
            width: {
                readonly [$$ScaleValue]: "space";
            };
        };
        h: (value: string | number | {
            readonly [$$ScaleValue]: "space";
        }) => {
            height: string | number | {
                readonly [$$ScaleValue]: "space";
            };
        };
        minW: (value: string | number | {
            readonly [$$ScaleValue]: "scale";
        }) => {
            minWidth: string | number | {
                readonly [$$ScaleValue]: "scale";
            };
        };
        minH: (value: string | number | {
            readonly [$$ScaleValue]: "scale";
        }) => {
            minWidth: string | number | {
                readonly [$$ScaleValue]: "scale";
            };
        };
        mw: (value: string | number | {
            readonly [$$ScaleValue]: "scale";
        }) => {
            maxWidth: string | number | {
                readonly [$$ScaleValue]: "scale";
            };
        };
        maxW: (value: string | number | {
            readonly [$$ScaleValue]: "scale";
        }) => {
            maxWidth: string | number | {
                readonly [$$ScaleValue]: "scale";
            };
        };
        mh: (value: string | number | {
            readonly [$$ScaleValue]: "scale";
        }) => {
            maxHeight: string | number | {
                readonly [$$ScaleValue]: "scale";
            };
        };
        maxH: (value: string | number | {
            readonly [$$ScaleValue]: "scale";
        }) => {
            maxHeight: string | number | {
                readonly [$$ScaleValue]: "scale";
            };
        };
        size: (value: string | number | {
            readonly [$$ScaleValue]: "space";
        }) => {
            width: string | number | {
                readonly [$$ScaleValue]: "space";
            };
            height: string | number | {
                readonly [$$ScaleValue]: "space";
            };
        };
        minSize: (value: string | number | {
            readonly [$$ScaleValue]: "scale";
        }) => {
            minWidth: string | number | {
                readonly [$$ScaleValue]: "scale";
            };
            minHeight: string | number | {
                readonly [$$ScaleValue]: "scale";
            };
            width: string | number | {
                readonly [$$ScaleValue]: "scale";
            };
            height: string | number | {
                readonly [$$ScaleValue]: "scale";
            };
        };
        sizeMin: (value: string | number | {
            readonly [$$ScaleValue]: "scale";
        }) => {
            minWidth: string | number | {
                readonly [$$ScaleValue]: "scale";
            };
            minHeight: string | number | {
                readonly [$$ScaleValue]: "scale";
            };
            width: string | number | {
                readonly [$$ScaleValue]: "scale";
            };
            height: string | number | {
                readonly [$$ScaleValue]: "scale";
            };
        };
        maxSize: (value: string | number | {
            readonly [$$ScaleValue]: "scale";
        }) => {
            maxWidth: string | number | {
                readonly [$$ScaleValue]: "scale";
            };
            maxHeight: string | number | {
                readonly [$$ScaleValue]: "scale";
            };
        };
        sizeMax: (value: string | number | {
            readonly [$$ScaleValue]: "scale";
        }) => {
            maxWidth: string | number | {
                readonly [$$ScaleValue]: "scale";
            };
            maxHeight: string | number | {
                readonly [$$ScaleValue]: "scale";
            };
        };
        appearance: (value: {
            readonly [$$PropertyValue]: "appearance";
        }) => {
            WebkitAppearance: {
                readonly [$$PropertyValue]: "appearance";
            };
            appearance: {
                readonly [$$PropertyValue]: "appearance";
            };
        };
        scale: (value: string) => {
            transform: string;
        };
        linearGradient: (value: string) => {
            backgroundImage: string;
        };
        tdl: (value: {
            readonly [$$PropertyValue]: "textDecorationLine";
        }) => {
            textDecorationLine: {
                readonly [$$PropertyValue]: "textDecorationLine";
            };
        };
        textGradient: (value: string) => {
            backgroundImage: string;
            WebkitBackgroundClip: string;
            WebkitTextFillColor: string;
        };
    }>>;
};
export default _default;
