import { SvelteComponentTyped } from "svelte";
import type { BoxProps as $$BoxProps } from './Box.styles';
declare const __propDef: {
    props: {
        [x: string]: any;
        use?: $$BoxProps['use'];
        element?: $$BoxProps['element'];
        class?: string;
        css?: $$BoxProps['override'];
        root?: $$BoxProps['root'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export declare type BoxProps = typeof __propDef.props;
export declare type BoxEvents = typeof __propDef.events;
export declare type BoxSlots = typeof __propDef.slots;
/**
 * Add inline styles to any element or component with sx.
 *
 * @see https://svelteui.org/core/box
 * @example
 *    ```svelte
 *    <Box css={{backgroundColor: '$blue600'}}>example</Box>
 * <Box root='span'>example</Box>
 * <Box css={{pt: '$20'}}>padding top of 5rem</Box> // uses the paddingTop shorthand, and theme scale
 *    ```
 */
export default class Box extends SvelteComponentTyped<BoxProps, BoxEvents, BoxSlots> {
}
export {};
