import { SvelteComponentTyped } from "svelte";
import type { ButtonProps as $$ButtonProps } from './Button.styles';
declare const __propDef: {
    props: {
        [x: string]: any;
        use?: $$ButtonProps['use'];
        element?: $$ButtonProps['element'];
        class?: string;
        override?: $$ButtonProps['override'];
        variant?: $$ButtonProps['variant'];
        color?: $$ButtonProps['color'];
        size?: $$ButtonProps['size'];
        radius?: $$ButtonProps['radius'];
        gradient?: $$ButtonProps['gradient'];
        loaderPosition?: $$ButtonProps['loaderPosition'];
        loaderProps?: $$ButtonProps['loaderProps'];
        href?: $$ButtonProps['href'];
        external?: $$ButtonProps['external'];
        disabled?: $$ButtonProps['disabled'];
        compact?: $$ButtonProps['compact'];
        loading?: $$ButtonProps['loading'];
        uppercase?: $$ButtonProps['uppercase'];
        fullSize?: $$ButtonProps['fullSize'];
        ripple?: $$ButtonProps['ripple'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        leftIcon: {};
        default: {};
        rightIcon: {};
    };
};
export declare type ButtonProps = typeof __propDef.props;
export declare type ButtonEvents = typeof __propDef.events;
export declare type ButtonSlots = typeof __propDef.slots;
/**
 * A user can perform an immediate action by pressing a button. It's frequently used to start an action, but it can also be used to link to other pages.
 *
 * @see https://svelteui.org/core/button
 * @example
 * ```tsx
 * <Button>Click</Button> // standard button
 * <Button variant='gradient' gradient={{from: 'blue', to: 'red', deg: 45}}>Click Me</Button> // gradient button
 * ```
 */
export default class Button extends SvelteComponentTyped<ButtonProps, ButtonEvents, ButtonSlots> {
}
export {};
