import { SvelteComponentTyped } from "svelte";
import type { CenterProps as $$CenterProps } from './Center.styles';
declare const __propDef: {
    props: {
        [x: string]: any;
        use?: $$CenterProps['use'];
        element?: $$CenterProps['element'];
        class?: string;
        override?: $$CenterProps['override'];
        inline?: $$CenterProps['inline'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export declare type CenterProps = typeof __propDef.props;
export declare type CenterEvents = typeof __propDef.events;
export declare type CenterSlots = typeof __propDef.slots;
/**
 * Centers content vertically and horizontally.
 *
 * @see https://svelteui.org/core/center
 * @example
 *    ```svelte
 * <Center override={{ width: 400, height: 200, bg: '$blue100' }}>
 * 	<Box css={{ bg: '$blue300' }}>All elements inside Center are centered</Box>
 * </Center>
 *    ```
 */
export default class Center extends SvelteComponentTyped<CenterProps, CenterEvents, CenterSlots> {
}
export {};
