import { SvelteComponentTyped } from "svelte";
import type { CheckboxProps as $$CheckboxProps } from './Checkbox.styles';
declare const __propDef: {
    props: {
        [x: string]: any;
        use?: $$CheckboxProps['use'];
        element?: $$CheckboxProps['element'];
        class?: string;
        override?: $$CheckboxProps['override'];
        color?: $$CheckboxProps['color'];
        id?: $$CheckboxProps['id'];
        disabled?: $$CheckboxProps['disabled'];
        value?: $$CheckboxProps['value'];
        checked?: $$CheckboxProps['checked'];
        indeterminate?: $$CheckboxProps['indeterminate'];
        label?: $$CheckboxProps['label'];
        radius?: $$CheckboxProps['radius'];
        size?: $$CheckboxProps['size'];
        transitionDuration?: $$CheckboxProps['transitionDuration'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export declare type CheckboxProps = typeof __propDef.props;
export declare type CheckboxEvents = typeof __propDef.events;
export declare type CheckboxSlots = typeof __propDef.slots;
/**
 * A checkbox input component using the theme styles with support for a label and indeterminate state.
 *
 * @see https://svelteui.org/core/checkbox
 * @example
 *    ```svelte
 *    <Checkbox />
 *    <Checkbox size={'lg'} label={'Please accept this'} />
 *    <Checkbox undetermined />
 *    <Checkbox checked disabled />
 *    ```
 */
export default class Checkbox extends SvelteComponentTyped<CheckboxProps, CheckboxEvents, CheckboxSlots> {
}
export {};
