import { SvelteComponentTyped } from "svelte";
import type { CheckboxGroupProps as $$CheckboxGroupProps } from './CheckboxGroup.styles';
declare const __propDef: {
    props: {
        [x: string]: any;
        use?: $$CheckboxGroupProps['use'];
        element?: $$CheckboxGroupProps['element'];
        class?: string;
        override?: $$CheckboxGroupProps['override'];
        color?: $$CheckboxGroupProps['color'];
        items?: $$CheckboxGroupProps['items'];
        value?: $$CheckboxGroupProps['value'];
        label?: $$CheckboxGroupProps['label'];
        size?: $$CheckboxGroupProps['size'];
        radius?: $$CheckboxGroupProps['radius'];
        direction?: $$CheckboxGroupProps['direction'];
        align?: $$CheckboxGroupProps['align'];
        spacing?: $$CheckboxGroupProps['spacing'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export declare type CheckboxGroupProps = typeof __propDef.props;
export declare type CheckboxGroupEvents = typeof __propDef.events;
export declare type CheckboxGroupSlots = typeof __propDef.slots;
/**
 * A checkbox group component using the theme styles and builds a set of checkboxes according to
 * the items passed.
 *
 * @see https://svelteui.org/core/checkbox
 * @example
 *    ```svelte
 *    <CheckboxGroup bind:value items={items} />
 *    <CheckboxGroup label={"Choose your favorite framework"} description={"Choose carefuly"} bind:value={value} items={items} />
 *    <CheckboxGroup bind:value={value} items={items} direction={'column'}/>
 *    ```
 */
export default class CheckboxGroup extends SvelteComponentTyped<CheckboxGroupProps, CheckboxGroupEvents, CheckboxGroupSlots> {
}
export {};
