import { SvelteComponentTyped } from "svelte";
import type { InputProps as $$InputProps } from './Input.styles';
declare const __propDef: {
    props: {
        [x: string]: any;
        use?: $$InputProps['use'];
        element?: $$InputProps['element'];
        class?: string;
        override?: $$InputProps['override'];
        root?: $$InputProps['root'];
        icon?: $$InputProps['icon'];
        iconWidth?: $$InputProps['iconWidth'];
        iconProps?: $$InputProps['iconProps'];
        showRightSection?: $$InputProps['showRightSection'];
        rightSectionWidth?: $$InputProps['rightSectionWidth'];
        rightSectionProps?: $$InputProps['rightSectionProps'];
        wrapperProps?: $$InputProps['wrapperProps'];
        id?: $$InputProps['id'];
        required?: $$InputProps['required'];
        radius?: $$InputProps['radius'];
        variant?: $$InputProps['variant'];
        disabled?: $$InputProps['disabled'];
        size?: $$InputProps['size'];
        value?: $$InputProps['value'];
        invalid?: $$InputProps['invalid'];
        multiline?: $$InputProps['multiline'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
        rightSection: {};
    };
};
export declare type InputProps = typeof __propDef.props;
export declare type InputEvents = typeof __propDef.events;
export declare type InputSlots = typeof __propDef.slots;
/**
 * **DISCLAIMER: In most cases, you should not use Input component in your application. Input component is a base for other inputs and was not designed to be used directly.**
 *
 * Base component to create custom inputs
 *
 * @see https://svelteui.org/core/input
 * @example
 *    ```svelte
 *    <Input
 *      icon={Twitter}
 *      placeholder="Your twitter"
 *      rightSectionWidth={70}
 *      override={{ '& .rightSection': { pointerEvents: 'none' } }}
 *    >
 * 	<Badge slot='rightSection' color="blue" variant="filled">
 * 		new
 * 	</Badge>
 * <Input />
 *    ```
 */
export default class Input extends SvelteComponentTyped<InputProps, InputEvents, InputSlots> {
}
export {};
