import type { Component } from '../../internal';
import type { SvelteUINumberSize, SvelteUIColor, LoaderType, DefaultProps } from '../../styles';
export declare const LOADER_SIZES: {
    xs: number;
    sm: number;
    md: number;
    lg: number;
    xl: number;
};
export interface LoaderPropsExtended extends Partial<SVGElement> {
    /** Defines width of loader */
    size?: SvelteUINumberSize;
    /** Loader color from theme */
    color?: SvelteUIColor | 'white';
    /** Loader appearance */
    variant?: LoaderType;
}
export interface LoaderProps extends DefaultProps<Omit<Component, 'prototype'>> {
    variant: LoaderPropsExtended['variant'];
    color: LoaderPropsExtended['color'];
    size: LoaderPropsExtended['size'];
}
export declare const getCorrectShade: (color: SvelteUIColor | string, dark?: boolean) => string;
