import { SvelteComponentTyped } from "svelte";
import type { LoaderProps as $$LoaderProps } from './Loader.styles';
declare const __propDef: {
    props: {
        [x: string]: any;
        use?: $$LoaderProps['use'];
        element?: $$LoaderProps['element'];
        size?: $$LoaderProps['size'] | number;
        color?: $$LoaderProps['color'];
        variant?: $$LoaderProps['variant'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export declare type LoaderProps = typeof __propDef.props;
export declare type LoaderEvents = typeof __propDef.events;
export declare type LoaderSlots = typeof __propDef.slots;
/**
 * The Loader component creates a loading icon. There are three different Loaders with the circle as the default.
 *
 * @see https://svelteui.org/core/loader
 * @example
 * ```tsx
 * <Loader color='green' size='lg' variant='bars' />
 * ```
 */
export default class Loader extends SvelteComponentTyped<LoaderProps, LoaderEvents, LoaderSlots> {
}
export {};
