import { SvelteComponentTyped } from "svelte";
import type { NativeSelectProps as $$NativeSelectProps } from './NativeSelect.styles';
declare const __propDef: {
    props: {
        [x: string]: any;
        use?: $$NativeSelectProps['use'];
        element?: $$NativeSelectProps['element'];
        class?: string;
        override?: $$NativeSelectProps['override'];
        id?: $$NativeSelectProps['id'];
        placeholder?: $$NativeSelectProps['placeholder'];
        data?: $$NativeSelectProps['data'];
        inputStyle?: $$NativeSelectProps['inputStyle'];
        wrapperProps?: $$NativeSelectProps['wrapperProps'];
        size?: $$NativeSelectProps['size'];
        icon?: $$NativeSelectProps['icon'];
        iconWidth?: $$NativeSelectProps['iconWidth'];
        iconProps?: $$NativeSelectProps['iconProps'];
        rightSection?: $$NativeSelectProps['showRightSection'];
        rightSectionWidth?: $$NativeSelectProps['rightSectionWidth'];
        rightSectionProps?: $$NativeSelectProps['rightSectionProps'];
        required?: $$NativeSelectProps['required'];
        radius?: $$NativeSelectProps['radius'];
        variant?: $$NativeSelectProps['variant'];
        disabled?: $$NativeSelectProps['disabled'];
        value?: $$NativeSelectProps['value'];
        label?: $$NativeSelectProps['label'];
        description?: $$NativeSelectProps['description'];
        error?: $$NativeSelectProps['error'];
        labelProps?: $$NativeSelectProps['labelProps'];
        descriptionProps?: $$NativeSelectProps['descriptionProps'];
        errorProps?: $$NativeSelectProps['errorProps'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export declare type NativeSelectProps = typeof __propDef.props;
export declare type NativeSelectEvents = typeof __propDef.events;
export declare type NativeSelectSlots = typeof __propDef.slots;
/**
 * Capture user feedback limited to large set of options
 *
 * @see https://svelteui.org/core/native-select
 * @example
 *    ```svelte
 *    <NativeSelect
 *      data={['React', 'Vue', 'Angular', 'Svelte']}
 *      placeholder="Pick one"
 *      label="Select your favorite framework/library"
 *      description="This is anonymous"
 *      required
 *    />
 *    ```
 */
export default class NativeSelect extends SvelteComponentTyped<NativeSelectProps, NativeSelectEvents, NativeSelectSlots> {
}
export {};
