import { SvelteComponentTyped } from "svelte";
import type { SimpleGridProps as $$SimpleGridProps } from './SimpleGrid.styles';
declare const __propDef: {
    props: {
        [x: string]: any;
        use?: $$SimpleGridProps['use'];
        element?: $$SimpleGridProps['element'];
        class?: string;
        override?: $$SimpleGridProps['override'];
        breakpoints?: $$SimpleGridProps['breakpoints'];
        cols?: $$SimpleGridProps['cols'];
        spacing?: $$SimpleGridProps['spacing'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export declare type SimpleGridProps = typeof __propDef.props;
export declare type SimpleGridEvents = typeof __propDef.events;
export declare type SimpleGridSlots = typeof __propDef.slots;
/**
 * Responsive grid where each item takes equal amount of space
 *
 * @see https://svelteui.org/core/input
 * @example
 *    ```svelte
 *    <SimpleGrid cols={3}>
 *      <div>1</div>
 *      <div>2</div>
 *      <div>3</div>
 *      <div>4</div>
 *      <div>5</div>
 *    </SimpleGrid>
 *    ```
 */
export default class SimpleGrid extends SvelteComponentTyped<SimpleGridProps, SimpleGridEvents, SimpleGridSlots> {
}
export {};
