import { SvelteComponentTyped } from "svelte";
import type { SpaceProps as $$SpaceProps } from './Space.styles';
declare const __propDef: {
    props: {
        [x: string]: any;
        use?: $$SpaceProps['use'];
        element?: $$SpaceProps['element'];
        class?: string;
        override?: $$SpaceProps['override'];
        w?: $$SpaceProps['w'];
        h?: $$SpaceProps['h'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export declare type SpaceProps = typeof __propDef.props;
export declare type SpaceEvents = typeof __propDef.events;
export declare type SpaceSlots = typeof __propDef.slots;
/**
 * Add horizontal or vertical spacing from theme.
 *
 * @see https://svelteui.org/core/space
 * @example
 *    ```svelte
 * 	<Space h="md" />
 * 	<Space w="lg" />
 * 	<Space w={30} /> // Width will be set to 30px
 *    ```
 */
export default class Space extends SvelteComponentTyped<SpaceProps, SpaceEvents, SpaceSlots> {
}
export {};
