import { SvelteComponentTyped } from "svelte";
import type { TitleProps as $$TitleProps } from './Title.styles';
declare const __propDef: {
    props: {
        [x: string]: any;
        use?: $$TitleProps['use'];
        element?: $$TitleProps['element'];
        class?: string;
        override?: $$TitleProps['override'];
        align?: $$TitleProps['align'];
        order?: $$TitleProps['order'];
        color?: $$TitleProps['color'];
        transform?: $$TitleProps['transform'];
        variant?: $$TitleProps['variant'];
        weight?: $$TitleProps['weight'];
        gradient?: $$TitleProps['gradient'];
        inline?: $$TitleProps['inline'];
        lineClamp?: $$TitleProps['lineClamp'];
        underline?: $$TitleProps['underline'];
        inherit?: $$TitleProps['inherit'];
        href?: $$TitleProps['href'];
        tracking?: $$TitleProps['tracking'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export declare type TitleProps = typeof __propDef.props;
export declare type TitleEvents = typeof __propDef.events;
export declare type TitleSlots = typeof __propDef.slots;
/**
 * Display text that uses title styling and title HTML tags.
 *
 * @see https://svelteui.org/core/title
 * @example
 *    ```tsx
 *    <Title>This is a title</Title> // standard title component
 *    <Title order={3}>This is a title</Title> // title component with order 2
 *    <Title order={1} override={{ fontSize: '90px' }}>This is a bigger title</Title> // title component with override style
 *    ```
 */
export default class Title extends SvelteComponentTyped<TitleProps, TitleEvents, TitleSlots> {
}
export {};
