export declare type SvelteActionReturnType<P> = {
    update?: (newParams?: P) => void;
    destroy?: () => void;
} | void;
export declare type SvelteActionType<P> = (node: HTMLOrSVGElement, params?: P) => SvelteActionReturnType<P>;
export declare type ActionEntry<P = any> = SvelteActionType<P> | [SvelteActionType<P>, P];
export declare type ActionArray = ActionEntry[];
export declare function useActions(node: HTMLElement | SVGElement, actions: ActionArray): {
    update(actions: ActionArray): void;
    destroy(): void;
};
