import { colors } from './styles';
import type * as Stitches from '@stitches/core';
export declare const css: <Composers extends (string | import("@stitches/core/types/util").Function | {
    [name: string]: unknown;
})[], CSS = import("@stitches/core/types/css-util").CSS<{
    xs: "(min-width: 576px)";
    sm: "(min-width: 768px)";
    md: "(min-width: 992px)";
    lg: "(min-width: 1200px)";
    xl: "(min-width: 1400px)";
}, {
    colors: {
        [x: string]: any;
    };
    space: {
        0: string;
        xs: number;
        sm: number;
        md: number;
        lg: number;
        xl: number;
        xsPX: string;
        smPX: string;
        mdPX: string;
        lgPX: string;
        xlPX: string;
        1: string;
        2: string;
        3: string;
        4: string;
        5: string;
        6: string;
        7: string;
        8: string;
        9: string;
        10: string;
        11: string;
        12: string;
        13: string;
        14: string;
        15: string;
        16: string;
        17: string;
        18: string;
        20: string;
        24: string;
        28: string;
        32: string;
        36: string;
        40: string;
        44: string;
        48: string;
        52: string;
        56: string;
        60: string;
        64: string;
        72: string;
        80: string;
        96: string;
    };
    fontSizes: {
        xs: string;
        sm: string;
        md: string;
        lg: string;
        xl: string;
    };
    fonts: {
        standard: string;
        mono: string;
        fallback: string;
    };
    fontWeights: {
        thin: number;
        extralight: number;
        light: number;
        normal: number;
        medium: number;
        semibold: number;
        bold: number;
        extrabold: number;
    };
    lineHeights: {
        xs: number;
        sm: number;
        md: number;
        lg: number;
        xl: number;
    };
    letterSpacings: {
        tighter: string;
        tight: string;
        normal: string;
        wide: string;
        wider: string;
        widest: string;
    };
    sizes: unknown;
    radii: {
        xs: string;
        sm: string;
        md: string;
        lg: string;
        xl: string;
        squared: string;
        rounded: string;
        pill: string;
    };
    shadows: {
        xs: string;
        sm: string;
        md: string;
        lg: string;
        xl: string;
    };
    zIndices: {
        1: string;
        2: string;
        3: string;
        4: string;
        5: string;
        10: string;
        max: string;
    };
    borderWidths: {
        light: string;
        normal: string;
        bold: string;
        extrabold: string;
        black: string;
        xs: string;
        sm: string;
        md: string;
        lg: string;
        xl: string;
    };
    breakpoints: {
        xs: number;
        sm: number;
        md: number;
        lg: number;
        xl: number;
    };
    borderStyles: unknown;
    transitions: unknown;
}, {
    width: "space";
    height: "space";
    minWidth: "space";
    maxWidth: "space";
    minHeight: "space";
    maxHeight: "space";
    flexBasis: "space";
    gridTemplateColumns: "space";
    gridTemplateRows: "space";
    blockSize: "space";
    minBlockSize: "space";
    maxBlockSize: "space";
    inlineSize: "space";
    minInlineSize: "space";
    maxInlineSize: "space";
    borderWidth: "borderWeights";
    gap: "space";
    gridGap: "space";
    columnGap: "space";
    gridColumnGap: "space";
    rowGap: "space";
    gridRowGap: "space";
    inset: "space";
    insetBlock: "space";
    insetBlockEnd: "space";
    insetBlockStart: "space";
    insetInline: "space";
    insetInlineEnd: "space";
    insetInlineStart: "space";
    margin: "space";
    marginTop: "space";
    marginRight: "space";
    marginBottom: "space";
    marginLeft: "space";
    marginBlock: "space";
    marginBlockEnd: "space";
    marginBlockStart: "space";
    marginInline: "space";
    marginInlineEnd: "space";
    marginInlineStart: "space";
    padding: "space";
    paddingTop: "space";
    paddingRight: "space";
    paddingBottom: "space";
    paddingLeft: "space";
    paddingBlock: "space";
    paddingBlockEnd: "space";
    paddingBlockStart: "space";
    paddingInline: "space";
    paddingInlineEnd: "space";
    paddingInlineStart: "space";
    scrollMargin: "space";
    scrollMarginTop: "space";
    scrollMarginRight: "space";
    scrollMarginBottom: "space";
    scrollMarginLeft: "space";
    scrollMarginBlock: "space";
    scrollMarginBlockEnd: "space";
    scrollMarginBlockStart: "space";
    scrollMarginInline: "space";
    scrollMarginInlineEnd: "space";
    scrollMarginInlineStart: "space";
    scrollPadding: "space";
    scrollPaddingTop: "space";
    scrollPaddingRight: "space";
    scrollPaddingBottom: "space";
    scrollPaddingLeft: "space";
    scrollPaddingBlock: "space";
    scrollPaddingBlockEnd: "space";
    scrollPaddingBlockStart: "space";
    scrollPaddingInline: "space";
    scrollPaddingInlineEnd: "space";
    scrollPaddingInlineStart: "space";
    top: "space";
    right: "space";
    bottom: "space";
    left: "space";
    fontSize: "fontSizes";
    background: "colors";
    backgroundColor: "colors";
    backgroundImage: "colors";
    borderImage: "colors";
    border: "colors";
    borderBlock: "colors";
    borderBlockEnd: "colors";
    borderBlockStart: "colors";
    borderBottom: "colors";
    borderBottomColor: "colors";
    borderColor: "colors";
    borderInline: "colors";
    borderInlineEnd: "colors";
    borderInlineStart: "colors";
    borderLeft: "colors";
    borderLeftColor: "colors";
    borderRight: "colors";
    borderRightColor: "colors";
    borderTop: "colors";
    borderTopColor: "colors";
    caretColor: "colors";
    color: "colors";
    columnRuleColor: "colors";
    outline: "colors";
    outlineColor: "colors";
    fill: "colors";
    stroke: "colors";
    textDecorationColor: "colors";
    fontFamily: "fonts";
    fontWeight: "fontWeights";
    lineHeight: "lineHeights";
    letterSpacing: "letterSpacings";
    borderTopWidth: "borderWidths";
    borderLeftWidth: "borderWidths";
    borderRightWidth: "borderWidths";
    borderBottomWidth: "borderWidths";
    borderStyle: "borderStyles";
    borderTopStyle: "borderStyles";
    borderLeftStyle: "borderStyles";
    borderRightStyle: "borderStyles";
    borderBottomStyle: "borderStyles";
    borderRadius: "radii";
    borderTopLeftRadius: "radii";
    borderTopRightRadius: "radii";
    borderBottomRightRadius: "radii";
    borderBottomLeftRadius: "radii";
    boxShadow: "shadows";
    textShadow: "shadows";
    transition: "transitions";
    zIndex: "zIndices";
}, {
    focusRing: (value: 'auto' | 'always' | 'never') => {
        WebkitTapHighlightColor: string;
        '&:focus': {
            outlineOffset: number;
            outline: string;
        };
        '&:focus:not(:focus-visible)': {
            outline: string;
        };
    };
    p: (value: Stitches.ScaleValue<'space'>) => {
        padding: {
            readonly [Stitches.$$ScaleValue]: "space";
        };
    };
    pt: (value: Stitches.ScaleValue<'space'> | number | string) => {
        paddingTop: string | number | {
            readonly [Stitches.$$ScaleValue]: "space";
        };
    };
    pr: (value: Stitches.ScaleValue<'space'> | number | string) => {
        paddingRight: string | number | {
            readonly [Stitches.$$ScaleValue]: "space";
        };
    };
    pb: (value: Stitches.ScaleValue<'space'> | number | string) => {
        paddingBottom: string | number | {
            readonly [Stitches.$$ScaleValue]: "space";
        };
    };
    pl: (value: Stitches.ScaleValue<'space'> | number | string) => {
        paddingLeft: string | number | {
            readonly [Stitches.$$ScaleValue]: "space";
        };
    };
    px: (value: Stitches.ScaleValue<'space'> | number | string) => {
        paddingLeft: string | number | {
            readonly [Stitches.$$ScaleValue]: "space";
        };
        paddingRight: string | number | {
            readonly [Stitches.$$ScaleValue]: "space";
        };
    };
    py: (value: Stitches.ScaleValue<'space'> | number | string) => {
        paddingTop: string | number | {
            readonly [Stitches.$$ScaleValue]: "space";
        };
        paddingBottom: string | number | {
            readonly [Stitches.$$ScaleValue]: "space";
        };
    };
    m: (value: Stitches.ScaleValue<'space'> | number | string) => {
        margin: string | number | {
            readonly [Stitches.$$ScaleValue]: "space";
        };
    };
    mt: (value: Stitches.ScaleValue<'space'> | number | string) => {
        marginTop: string | number | {
            readonly [Stitches.$$ScaleValue]: "space";
        };
    };
    mr: (value: Stitches.ScaleValue<'space'> | number | string) => {
        marginRight: string | number | {
            readonly [Stitches.$$ScaleValue]: "space";
        };
    };
    mb: (value: Stitches.ScaleValue<'space'> | number | string) => {
        marginBottom: string | number | {
            readonly [Stitches.$$ScaleValue]: "space";
        };
    };
    ml: (value: Stitches.ScaleValue<'space'> | number | string) => {
        marginLeft: string | number | {
            readonly [Stitches.$$ScaleValue]: "space";
        };
    };
    mx: (value: Stitches.ScaleValue<'space'> | number | string) => {
        marginLeft: string | number | {
            readonly [Stitches.$$ScaleValue]: "space";
        };
        marginRight: string | number | {
            readonly [Stitches.$$ScaleValue]: "space";
        };
    };
    my: (value: Stitches.ScaleValue<'space'> | number | string) => {
        marginTop: string | number | {
            readonly [Stitches.$$ScaleValue]: "space";
        };
        marginBottom: string | number | {
            readonly [Stitches.$$ScaleValue]: "space";
        };
    };
    ta: (value: Stitches.PropertyValue<'textAlign'>) => {
        textAlign: {
            readonly [Stitches.$$PropertyValue]: "textAlign";
        };
    };
    tt: (value: Stitches.PropertyValue<'textTransform'>) => {
        textTransform: {
            readonly [Stitches.$$PropertyValue]: "textTransform";
        };
    };
    to: (value: Stitches.PropertyValue<'textOverflow'>) => {
        textOverflow: {
            readonly [Stitches.$$PropertyValue]: "textOverflow";
        };
    };
    d: (value: Stitches.PropertyValue<'display'>) => {
        display: {
            readonly [Stitches.$$PropertyValue]: "display";
        };
    };
    dflex: (value: Stitches.PropertyValue<'alignItems' | 'justifyContent'>) => {
        display: string;
        alignItems: {
            readonly [Stitches.$$PropertyValue]: "alignItems" | "justifyContent";
        };
        justifyContent: {
            readonly [Stitches.$$PropertyValue]: "alignItems" | "justifyContent";
        };
    };
    fd: (value: Stitches.PropertyValue<'flexDirection'>) => {
        flexDirection: {
            readonly [Stitches.$$PropertyValue]: "flexDirection";
        };
    };
    fw: (value: Stitches.PropertyValue<'flexWrap'>) => {
        flexWrap: {
            readonly [Stitches.$$PropertyValue]: "flexWrap";
        };
    };
    ai: (value: Stitches.PropertyValue<'alignItems'>) => {
        alignItems: {
            readonly [Stitches.$$PropertyValue]: "alignItems";
        };
    };
    ac: (value: Stitches.PropertyValue<'alignContent'>) => {
        alignContent: {
            readonly [Stitches.$$PropertyValue]: "alignContent";
        };
    };
    jc: (value: Stitches.PropertyValue<'justifyContent'>) => {
        justifyContent: {
            readonly [Stitches.$$PropertyValue]: "justifyContent";
        };
    };
    as: (value: Stitches.PropertyValue<'alignSelf'>) => {
        alignSelf: {
            readonly [Stitches.$$PropertyValue]: "alignSelf";
        };
    };
    fg: (value: Stitches.PropertyValue<'flexGrow'>) => {
        flexGrow: {
            readonly [Stitches.$$PropertyValue]: "flexGrow";
        };
    };
    fs: (value: Stitches.PropertyValue<'fontSize'>) => {
        fontSize: {
            readonly [Stitches.$$PropertyValue]: "fontSize";
        };
    };
    fb: (value: Stitches.PropertyValue<'flexBasis'>) => {
        flexBasis: {
            readonly [Stitches.$$PropertyValue]: "flexBasis";
        };
    };
    bc: (value: Stitches.PropertyValue<'backgroundColor'>) => {
        backgroundColor: {
            readonly [Stitches.$$PropertyValue]: "backgroundColor";
        };
    };
    bf: (value: Stitches.PropertyValue<'backdropFilter'>) => {
        backdropFilter: {
            readonly [Stitches.$$PropertyValue]: "backdropFilter";
        };
    };
    bg: (value: Stitches.PropertyValue<'background'>) => {
        background: {
            readonly [Stitches.$$PropertyValue]: "background";
        };
    };
    bgBlur: (value: Stitches.PropertyValue<'background'>) => {
        bf: string;
        bg: {
            readonly [Stitches.$$PropertyValue]: "background";
        };
    };
    bgColor: (value: Stitches.PropertyValue<'backgroundColor'>) => {
        backgroundColor: {
            readonly [Stitches.$$PropertyValue]: "backgroundColor";
        };
    };
    backgroundClip: (value: Stitches.PropertyValue<'backgroundClip'>) => {
        WebkitBackgroundClip: {
            readonly [Stitches.$$PropertyValue]: "backgroundClip";
        };
        backgroundClip: {
            readonly [Stitches.$$PropertyValue]: "backgroundClip";
        };
    };
    bgClip: (value: Stitches.PropertyValue<'backgroundClip'>) => {
        WebkitBackgroundClip: {
            readonly [Stitches.$$PropertyValue]: "backgroundClip";
        };
        backgroundClip: {
            readonly [Stitches.$$PropertyValue]: "backgroundClip";
        };
    };
    br: (value: Stitches.PropertyValue<'borderRadius'>) => {
        borderRadius: {
            readonly [Stitches.$$PropertyValue]: "borderRadius";
        };
    };
    bw: (value: Stitches.PropertyValue<'borderWidth'>) => {
        borderWidth: {
            readonly [Stitches.$$PropertyValue]: "borderWidth";
        };
    };
    btrr: (value: Stitches.PropertyValue<'borderTopRightRadius'>) => {
        borderTopRightRadius: {
            readonly [Stitches.$$PropertyValue]: "borderTopRightRadius";
        };
    };
    bbrr: (value: Stitches.PropertyValue<'borderBottomRightRadius'>) => {
        borderBottomRightRadius: {
            readonly [Stitches.$$PropertyValue]: "borderBottomRightRadius";
        };
    };
    bblr: (value: Stitches.PropertyValue<'borderBottomLeftRadius'>) => {
        borderBottomLeftRadius: {
            readonly [Stitches.$$PropertyValue]: "borderBottomLeftRadius";
        };
    };
    btlr: (value: Stitches.PropertyValue<'borderTopLeftRadius'>) => {
        borderTopLeftRadius: {
            readonly [Stitches.$$PropertyValue]: "borderTopLeftRadius";
        };
    };
    bs: (value: Stitches.PropertyValue<'boxShadow'>) => {
        boxShadow: {
            readonly [Stitches.$$PropertyValue]: "boxShadow";
        };
    };
    normalShadow: (value: keyof typeof colors) => {
        boxShadow: string;
    };
    lh: (value: Stitches.PropertyValue<'lineHeight'>) => {
        lineHeight: {
            readonly [Stitches.$$PropertyValue]: "lineHeight";
        };
    };
    ov: (value: Stitches.PropertyValue<'overflow'>) => {
        overflow: {
            readonly [Stitches.$$PropertyValue]: "overflow";
        };
    };
    ox: (value: Stitches.PropertyValue<'overflowX'>) => {
        overflowX: {
            readonly [Stitches.$$PropertyValue]: "overflowX";
        };
    };
    oy: (value: Stitches.PropertyValue<'overflowY'>) => {
        overflowY: {
            readonly [Stitches.$$PropertyValue]: "overflowY";
        };
    };
    pe: (value: Stitches.PropertyValue<'pointerEvents'>) => {
        pointerEvents: {
            readonly [Stitches.$$PropertyValue]: "pointerEvents";
        };
    };
    events: (value: Stitches.PropertyValue<'pointerEvents'>) => {
        pointerEvents: {
            readonly [Stitches.$$PropertyValue]: "pointerEvents";
        };
    };
    us: (value: Stitches.PropertyValue<'userSelect'>) => {
        WebkitUserSelect: {
            readonly [Stitches.$$PropertyValue]: "userSelect";
        };
        userSelect: {
            readonly [Stitches.$$PropertyValue]: "userSelect";
        };
    };
    userSelect: (value: Stitches.PropertyValue<'userSelect'>) => {
        WebkitUserSelect: {
            readonly [Stitches.$$PropertyValue]: "userSelect";
        };
        userSelect: {
            readonly [Stitches.$$PropertyValue]: "userSelect";
        };
    };
    w: (value: Stitches.ScaleValue<'space'>) => {
        width: {
            readonly [Stitches.$$ScaleValue]: "space";
        };
    };
    h: (value: Stitches.ScaleValue<'space'> | number | string) => {
        height: string | number | {
            readonly [Stitches.$$ScaleValue]: "space";
        };
    };
    minW: (value: Stitches.ScaleValue<'scale'> | number | string) => {
        minWidth: string | number | {
            readonly [Stitches.$$ScaleValue]: "scale";
        };
    };
    minH: (value: Stitches.ScaleValue<'scale'> | number | string) => {
        minWidth: string | number | {
            readonly [Stitches.$$ScaleValue]: "scale";
        };
    };
    mw: (value: Stitches.ScaleValue<'scale'> | number | string) => {
        maxWidth: string | number | {
            readonly [Stitches.$$ScaleValue]: "scale";
        };
    };
    maxW: (value: Stitches.ScaleValue<'scale'> | number | string) => {
        maxWidth: string | number | {
            readonly [Stitches.$$ScaleValue]: "scale";
        };
    };
    mh: (value: Stitches.ScaleValue<'scale'> | number | string) => {
        maxHeight: string | number | {
            readonly [Stitches.$$ScaleValue]: "scale";
        };
    };
    maxH: (value: Stitches.ScaleValue<'scale'> | number | string) => {
        maxHeight: string | number | {
            readonly [Stitches.$$ScaleValue]: "scale";
        };
    };
    size: (value: Stitches.ScaleValue<'space'> | number | string) => {
        width: string | number | {
            readonly [Stitches.$$ScaleValue]: "space";
        };
        height: string | number | {
            readonly [Stitches.$$ScaleValue]: "space";
        };
    };
    minSize: (value: Stitches.ScaleValue<'scale'> | number | string) => {
        minWidth: string | number | {
            readonly [Stitches.$$ScaleValue]: "scale";
        };
        minHeight: string | number | {
            readonly [Stitches.$$ScaleValue]: "scale";
        };
        width: string | number | {
            readonly [Stitches.$$ScaleValue]: "scale";
        };
        height: string | number | {
            readonly [Stitches.$$ScaleValue]: "scale";
        };
    };
    sizeMin: (value: Stitches.ScaleValue<'scale'> | number | string) => {
        minWidth: string | number | {
            readonly [Stitches.$$ScaleValue]: "scale";
        };
        minHeight: string | number | {
            readonly [Stitches.$$ScaleValue]: "scale";
        };
        width: string | number | {
            readonly [Stitches.$$ScaleValue]: "scale";
        };
        height: string | number | {
            readonly [Stitches.$$ScaleValue]: "scale";
        };
    };
    maxSize: (value: Stitches.ScaleValue<'scale'> | number | string) => {
        maxWidth: string | number | {
            readonly [Stitches.$$ScaleValue]: "scale";
        };
        maxHeight: string | number | {
            readonly [Stitches.$$ScaleValue]: "scale";
        };
    };
    sizeMax: (value: Stitches.ScaleValue<'scale'> | number | string) => {
        maxWidth: string | number | {
            readonly [Stitches.$$ScaleValue]: "scale";
        };
        maxHeight: string | number | {
            readonly [Stitches.$$ScaleValue]: "scale";
        };
    };
    appearance: (value: Stitches.PropertyValue<'appearance'>) => {
        WebkitAppearance: {
            readonly [Stitches.$$PropertyValue]: "appearance";
        };
        appearance: {
            readonly [Stitches.$$PropertyValue]: "appearance";
        };
    };
    scale: (value: string) => {
        transform: string;
    };
    linearGradient: (value: string) => {
        backgroundImage: string;
    };
    tdl: (value: Stitches.PropertyValue<'textDecorationLine'>) => {
        textDecorationLine: {
            readonly [Stitches.$$PropertyValue]: "textDecorationLine";
        };
    };
    textGradient: (value: string) => {
        backgroundImage: string;
        WebkitBackgroundClip: string;
        WebkitTextFillColor: string;
    };
}>>(...composers: { [K in keyof Composers]: string extends Composers[K] ? Composers[K] : Composers[K] extends string | import("@stitches/core/types/util").Function ? Composers[K] : import("@stitches/core/types/stitches").RemoveIndex<CSS> & {
    variants?: {
        [x: string]: {
            [x: string]: CSS;
            [x: number]: CSS;
        };
    };
    compoundVariants?: (("variants" extends keyof Composers[K] ? { [Name in keyof Composers[K][keyof Composers[K] & "variants"]]?: import("@stitches/core/types/util").String | import("@stitches/core/types/util").Widen<keyof Composers[K][keyof Composers[K] & "variants"][Name]>; } : import("@stitches/core/types/util").WideObject) & {
        css: CSS;
    })[];
    defaultVariants?: "variants" extends keyof Composers[K] ? { [Name_1 in keyof Composers[K][keyof Composers[K] & "variants"]]?: import("@stitches/core/types/util").String | import("@stitches/core/types/util").Widen<keyof Composers[K][keyof Composers[K] & "variants"][Name_1]>; } : import("@stitches/core/types/util").WideObject;
} & CSS & { [K2 in keyof Composers[K]]: K2 extends "compoundVariants" | "defaultVariants" | "variants" ? unknown : K2 extends keyof CSS ? CSS[K2] : unknown; }; }) => import("@stitches/core/types/styled-component").CssComponent<import("@stitches/core/types/styled-component").StyledComponentType<Composers>, import("@stitches/core/types/styled-component").StyledComponentProps<Composers>, {
    xs: "(min-width: 576px)";
    sm: "(min-width: 768px)";
    md: "(min-width: 992px)";
    lg: "(min-width: 1200px)";
    xl: "(min-width: 1400px)";
}, CSS>, globalCss: <Styles extends {
    [K: string]: any;
}>(...styles: ({
    '@import'?: unknown;
    '@font-face'?: unknown;
} & { [K in keyof Styles]: K extends "@import" ? string | string[] : K extends "@font-face" ? import("@stitches/core/types/css").AtRule.FontFace | import("@stitches/core/types/css").AtRule.FontFace[] : K extends `@keyframes ${string}` ? {
    [x: string]: import("@stitches/core/types/css-util").CSS<{
        xs: "(min-width: 576px)";
        sm: "(min-width: 768px)";
        md: "(min-width: 992px)";
        lg: "(min-width: 1200px)";
        xl: "(min-width: 1400px)";
    }, {
        colors: {
            [x: string]: any;
        };
        space: {
            0: string;
            xs: number;
            sm: number;
            md: number;
            lg: number;
            xl: number;
            xsPX: string;
            smPX: string;
            mdPX: string;
            lgPX: string;
            xlPX: string;
            1: string;
            2: string;
            3: string;
            4: string;
            5: string;
            6: string;
            7: string;
            8: string;
            9: string;
            10: string;
            11: string;
            12: string;
            13: string;
            14: string;
            15: string;
            16: string;
            17: string;
            18: string;
            20: string;
            24: string;
            28: string;
            32: string;
            36: string;
            40: string;
            44: string;
            48: string;
            52: string;
            56: string;
            60: string;
            64: string;
            72: string;
            80: string;
            96: string;
        };
        fontSizes: {
            xs: string;
            sm: string;
            md: string;
            lg: string;
            xl: string;
        };
        fonts: {
            standard: string;
            mono: string;
            fallback: string;
        };
        fontWeights: {
            thin: number;
            extralight: number;
            light: number;
            normal: number;
            medium: number;
            semibold: number;
            bold: number;
            extrabold: number;
        };
        lineHeights: {
            xs: number;
            sm: number;
            md: number;
            lg: number;
            xl: number;
        };
        letterSpacings: {
            tighter: string;
            tight: string;
            normal: string;
            wide: string;
            wider: string;
            widest: string;
        };
        sizes: unknown;
        radii: {
            xs: string;
            sm: string;
            md: string;
            lg: string;
            xl: string;
            squared: string;
            rounded: string;
            pill: string;
        };
        shadows: {
            xs: string;
            sm: string;
            md: string;
            lg: string;
            xl: string;
        };
        zIndices: {
            1: string;
            2: string;
            3: string;
            4: string;
            5: string;
            10: string;
            max: string;
        };
        borderWidths: {
            light: string;
            normal: string;
            bold: string;
            extrabold: string;
            black: string;
            xs: string;
            sm: string;
            md: string;
            lg: string;
            xl: string;
        };
        breakpoints: {
            xs: number;
            sm: number;
            md: number;
            lg: number;
            xl: number;
        };
        borderStyles: unknown;
        transitions: unknown;
    }, {
        width: "space";
        height: "space";
        minWidth: "space";
        maxWidth: "space";
        minHeight: "space";
        maxHeight: "space";
        flexBasis: "space";
        gridTemplateColumns: "space";
        gridTemplateRows: "space";
        blockSize: "space";
        minBlockSize: "space";
        maxBlockSize: "space";
        inlineSize: "space";
        minInlineSize: "space";
        maxInlineSize: "space";
        borderWidth: "borderWeights";
        gap: "space";
        gridGap: "space";
        columnGap: "space";
        gridColumnGap: "space";
        rowGap: "space";
        gridRowGap: "space";
        inset: "space";
        insetBlock: "space";
        insetBlockEnd: "space";
        insetBlockStart: "space";
        insetInline: "space";
        insetInlineEnd: "space";
        insetInlineStart: "space";
        margin: "space";
        marginTop: "space";
        marginRight: "space";
        marginBottom: "space";
        marginLeft: "space";
        marginBlock: "space";
        marginBlockEnd: "space";
        marginBlockStart: "space";
        marginInline: "space";
        marginInlineEnd: "space";
        marginInlineStart: "space";
        padding: "space";
        paddingTop: "space";
        paddingRight: "space";
        paddingBottom: "space";
        paddingLeft: "space";
        paddingBlock: "space";
        paddingBlockEnd: "space";
        paddingBlockStart: "space";
        paddingInline: "space";
        paddingInlineEnd: "space";
        paddingInlineStart: "space";
        scrollMargin: "space";
        scrollMarginTop: "space";
        scrollMarginRight: "space";
        scrollMarginBottom: "space";
        scrollMarginLeft: "space";
        scrollMarginBlock: "space";
        scrollMarginBlockEnd: "space";
        scrollMarginBlockStart: "space";
        scrollMarginInline: "space";
        scrollMarginInlineEnd: "space";
        scrollMarginInlineStart: "space";
        scrollPadding: "space";
        scrollPaddingTop: "space";
        scrollPaddingRight: "space";
        scrollPaddingBottom: "space";
        scrollPaddingLeft: "space";
        scrollPaddingBlock: "space";
        scrollPaddingBlockEnd: "space";
        scrollPaddingBlockStart: "space";
        scrollPaddingInline: "space";
        scrollPaddingInlineEnd: "space";
        scrollPaddingInlineStart: "space";
        top: "space";
        right: "space";
        bottom: "space";
        left: "space";
        fontSize: "fontSizes";
        background: "colors";
        backgroundColor: "colors";
        backgroundImage: "colors";
        borderImage: "colors";
        border: "colors";
        borderBlock: "colors";
        borderBlockEnd: "colors";
        borderBlockStart: "colors";
        borderBottom: "colors";
        borderBottomColor: "colors";
        borderColor: "colors";
        borderInline: "colors";
        borderInlineEnd: "colors";
        borderInlineStart: "colors";
        borderLeft: "colors";
        borderLeftColor: "colors";
        borderRight: "colors";
        borderRightColor: "colors";
        borderTop: "colors";
        borderTopColor: "colors";
        caretColor: "colors";
        color: "colors";
        columnRuleColor: "colors";
        outline: "colors";
        outlineColor: "colors";
        fill: "colors";
        stroke: "colors";
        textDecorationColor: "colors";
        fontFamily: "fonts";
        fontWeight: "fontWeights";
        lineHeight: "lineHeights";
        letterSpacing: "letterSpacings";
        borderTopWidth: "borderWidths";
        borderLeftWidth: "borderWidths";
        borderRightWidth: "borderWidths";
        borderBottomWidth: "borderWidths";
        borderStyle: "borderStyles";
        borderTopStyle: "borderStyles";
        borderLeftStyle: "borderStyles";
        borderRightStyle: "borderStyles";
        borderBottomStyle: "borderStyles";
        borderRadius: "radii";
        borderTopLeftRadius: "radii";
        borderTopRightRadius: "radii";
        borderBottomRightRadius: "radii";
        borderBottomLeftRadius: "radii";
        boxShadow: "shadows";
        textShadow: "shadows";
        transition: "transitions";
        zIndex: "zIndices";
    }, {
        focusRing: (value: 'auto' | 'always' | 'never') => {
            WebkitTapHighlightColor: string;
            '&:focus': {
                outlineOffset: number;
                outline: string;
            };
            '&:focus:not(:focus-visible)': {
                outline: string;
            };
        };
        p: (value: Stitches.ScaleValue<'space'>) => {
            padding: {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        pt: (value: Stitches.ScaleValue<'space'> | number | string) => {
            paddingTop: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        pr: (value: Stitches.ScaleValue<'space'> | number | string) => {
            paddingRight: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        pb: (value: Stitches.ScaleValue<'space'> | number | string) => {
            paddingBottom: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        pl: (value: Stitches.ScaleValue<'space'> | number | string) => {
            paddingLeft: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        px: (value: Stitches.ScaleValue<'space'> | number | string) => {
            paddingLeft: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
            paddingRight: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        py: (value: Stitches.ScaleValue<'space'> | number | string) => {
            paddingTop: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
            paddingBottom: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        m: (value: Stitches.ScaleValue<'space'> | number | string) => {
            margin: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        mt: (value: Stitches.ScaleValue<'space'> | number | string) => {
            marginTop: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        mr: (value: Stitches.ScaleValue<'space'> | number | string) => {
            marginRight: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        mb: (value: Stitches.ScaleValue<'space'> | number | string) => {
            marginBottom: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        ml: (value: Stitches.ScaleValue<'space'> | number | string) => {
            marginLeft: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        mx: (value: Stitches.ScaleValue<'space'> | number | string) => {
            marginLeft: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
            marginRight: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        my: (value: Stitches.ScaleValue<'space'> | number | string) => {
            marginTop: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
            marginBottom: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        ta: (value: Stitches.PropertyValue<'textAlign'>) => {
            textAlign: {
                readonly [Stitches.$$PropertyValue]: "textAlign";
            };
        };
        tt: (value: Stitches.PropertyValue<'textTransform'>) => {
            textTransform: {
                readonly [Stitches.$$PropertyValue]: "textTransform";
            };
        };
        to: (value: Stitches.PropertyValue<'textOverflow'>) => {
            textOverflow: {
                readonly [Stitches.$$PropertyValue]: "textOverflow";
            };
        };
        d: (value: Stitches.PropertyValue<'display'>) => {
            display: {
                readonly [Stitches.$$PropertyValue]: "display";
            };
        };
        dflex: (value: Stitches.PropertyValue<'alignItems' | 'justifyContent'>) => {
            display: string;
            alignItems: {
                readonly [Stitches.$$PropertyValue]: "alignItems" | "justifyContent";
            };
            justifyContent: {
                readonly [Stitches.$$PropertyValue]: "alignItems" | "justifyContent";
            };
        };
        fd: (value: Stitches.PropertyValue<'flexDirection'>) => {
            flexDirection: {
                readonly [Stitches.$$PropertyValue]: "flexDirection";
            };
        };
        fw: (value: Stitches.PropertyValue<'flexWrap'>) => {
            flexWrap: {
                readonly [Stitches.$$PropertyValue]: "flexWrap";
            };
        };
        ai: (value: Stitches.PropertyValue<'alignItems'>) => {
            alignItems: {
                readonly [Stitches.$$PropertyValue]: "alignItems";
            };
        };
        ac: (value: Stitches.PropertyValue<'alignContent'>) => {
            alignContent: {
                readonly [Stitches.$$PropertyValue]: "alignContent";
            };
        };
        jc: (value: Stitches.PropertyValue<'justifyContent'>) => {
            justifyContent: {
                readonly [Stitches.$$PropertyValue]: "justifyContent";
            };
        };
        as: (value: Stitches.PropertyValue<'alignSelf'>) => {
            alignSelf: {
                readonly [Stitches.$$PropertyValue]: "alignSelf";
            };
        };
        fg: (value: Stitches.PropertyValue<'flexGrow'>) => {
            flexGrow: {
                readonly [Stitches.$$PropertyValue]: "flexGrow";
            };
        };
        fs: (value: Stitches.PropertyValue<'fontSize'>) => {
            fontSize: {
                readonly [Stitches.$$PropertyValue]: "fontSize";
            };
        };
        fb: (value: Stitches.PropertyValue<'flexBasis'>) => {
            flexBasis: {
                readonly [Stitches.$$PropertyValue]: "flexBasis";
            };
        };
        bc: (value: Stitches.PropertyValue<'backgroundColor'>) => {
            backgroundColor: {
                readonly [Stitches.$$PropertyValue]: "backgroundColor";
            };
        };
        bf: (value: Stitches.PropertyValue<'backdropFilter'>) => {
            backdropFilter: {
                readonly [Stitches.$$PropertyValue]: "backdropFilter";
            };
        };
        bg: (value: Stitches.PropertyValue<'background'>) => {
            background: {
                readonly [Stitches.$$PropertyValue]: "background";
            };
        };
        bgBlur: (value: Stitches.PropertyValue<'background'>) => {
            bf: string;
            bg: {
                readonly [Stitches.$$PropertyValue]: "background";
            };
        };
        bgColor: (value: Stitches.PropertyValue<'backgroundColor'>) => {
            backgroundColor: {
                readonly [Stitches.$$PropertyValue]: "backgroundColor";
            };
        };
        backgroundClip: (value: Stitches.PropertyValue<'backgroundClip'>) => {
            WebkitBackgroundClip: {
                readonly [Stitches.$$PropertyValue]: "backgroundClip";
            };
            backgroundClip: {
                readonly [Stitches.$$PropertyValue]: "backgroundClip";
            };
        };
        bgClip: (value: Stitches.PropertyValue<'backgroundClip'>) => {
            WebkitBackgroundClip: {
                readonly [Stitches.$$PropertyValue]: "backgroundClip";
            };
            backgroundClip: {
                readonly [Stitches.$$PropertyValue]: "backgroundClip";
            };
        };
        br: (value: Stitches.PropertyValue<'borderRadius'>) => {
            borderRadius: {
                readonly [Stitches.$$PropertyValue]: "borderRadius";
            };
        };
        bw: (value: Stitches.PropertyValue<'borderWidth'>) => {
            borderWidth: {
                readonly [Stitches.$$PropertyValue]: "borderWidth";
            };
        };
        btrr: (value: Stitches.PropertyValue<'borderTopRightRadius'>) => {
            borderTopRightRadius: {
                readonly [Stitches.$$PropertyValue]: "borderTopRightRadius";
            };
        };
        bbrr: (value: Stitches.PropertyValue<'borderBottomRightRadius'>) => {
            borderBottomRightRadius: {
                readonly [Stitches.$$PropertyValue]: "borderBottomRightRadius";
            };
        };
        bblr: (value: Stitches.PropertyValue<'borderBottomLeftRadius'>) => {
            borderBottomLeftRadius: {
                readonly [Stitches.$$PropertyValue]: "borderBottomLeftRadius";
            };
        };
        btlr: (value: Stitches.PropertyValue<'borderTopLeftRadius'>) => {
            borderTopLeftRadius: {
                readonly [Stitches.$$PropertyValue]: "borderTopLeftRadius";
            };
        };
        bs: (value: Stitches.PropertyValue<'boxShadow'>) => {
            boxShadow: {
                readonly [Stitches.$$PropertyValue]: "boxShadow";
            };
        };
        normalShadow: (value: keyof typeof colors) => {
            boxShadow: string;
        };
        lh: (value: Stitches.PropertyValue<'lineHeight'>) => {
            lineHeight: {
                readonly [Stitches.$$PropertyValue]: "lineHeight";
            };
        };
        ov: (value: Stitches.PropertyValue<'overflow'>) => {
            overflow: {
                readonly [Stitches.$$PropertyValue]: "overflow";
            };
        };
        ox: (value: Stitches.PropertyValue<'overflowX'>) => {
            overflowX: {
                readonly [Stitches.$$PropertyValue]: "overflowX";
            };
        };
        oy: (value: Stitches.PropertyValue<'overflowY'>) => {
            overflowY: {
                readonly [Stitches.$$PropertyValue]: "overflowY";
            };
        };
        pe: (value: Stitches.PropertyValue<'pointerEvents'>) => {
            pointerEvents: {
                readonly [Stitches.$$PropertyValue]: "pointerEvents";
            };
        };
        events: (value: Stitches.PropertyValue<'pointerEvents'>) => {
            pointerEvents: {
                readonly [Stitches.$$PropertyValue]: "pointerEvents";
            };
        };
        us: (value: Stitches.PropertyValue<'userSelect'>) => {
            WebkitUserSelect: {
                readonly [Stitches.$$PropertyValue]: "userSelect";
            };
            userSelect: {
                readonly [Stitches.$$PropertyValue]: "userSelect";
            };
        };
        userSelect: (value: Stitches.PropertyValue<'userSelect'>) => {
            WebkitUserSelect: {
                readonly [Stitches.$$PropertyValue]: "userSelect";
            };
            userSelect: {
                readonly [Stitches.$$PropertyValue]: "userSelect";
            };
        };
        w: (value: Stitches.ScaleValue<'space'>) => {
            width: {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        h: (value: Stitches.ScaleValue<'space'> | number | string) => {
            height: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        minW: (value: Stitches.ScaleValue<'scale'> | number | string) => {
            minWidth: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
        };
        minH: (value: Stitches.ScaleValue<'scale'> | number | string) => {
            minWidth: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
        };
        mw: (value: Stitches.ScaleValue<'scale'> | number | string) => {
            maxWidth: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
        };
        maxW: (value: Stitches.ScaleValue<'scale'> | number | string) => {
            maxWidth: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
        };
        mh: (value: Stitches.ScaleValue<'scale'> | number | string) => {
            maxHeight: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
        };
        maxH: (value: Stitches.ScaleValue<'scale'> | number | string) => {
            maxHeight: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
        };
        size: (value: Stitches.ScaleValue<'space'> | number | string) => {
            width: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
            height: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        minSize: (value: Stitches.ScaleValue<'scale'> | number | string) => {
            minWidth: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
            minHeight: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
            width: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
            height: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
        };
        sizeMin: (value: Stitches.ScaleValue<'scale'> | number | string) => {
            minWidth: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
            minHeight: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
            width: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
            height: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
        };
        maxSize: (value: Stitches.ScaleValue<'scale'> | number | string) => {
            maxWidth: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
            maxHeight: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
        };
        sizeMax: (value: Stitches.ScaleValue<'scale'> | number | string) => {
            maxWidth: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
            maxHeight: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
        };
        appearance: (value: Stitches.PropertyValue<'appearance'>) => {
            WebkitAppearance: {
                readonly [Stitches.$$PropertyValue]: "appearance";
            };
            appearance: {
                readonly [Stitches.$$PropertyValue]: "appearance";
            };
        };
        scale: (value: string) => {
            transform: string;
        };
        linearGradient: (value: string) => {
            backgroundImage: string;
        };
        tdl: (value: Stitches.PropertyValue<'textDecorationLine'>) => {
            textDecorationLine: {
                readonly [Stitches.$$PropertyValue]: "textDecorationLine";
            };
        };
        textGradient: (value: string) => {
            backgroundImage: string;
            WebkitBackgroundClip: string;
            WebkitTextFillColor: string;
        };
    }>;
} : K extends `@property ${string}` ? import("@stitches/core/types/css").AtRule.Property : import("@stitches/core/types/css-util").CSS<{
    xs: "(min-width: 576px)";
    sm: "(min-width: 768px)";
    md: "(min-width: 992px)";
    lg: "(min-width: 1200px)";
    xl: "(min-width: 1400px)";
}, {
    colors: {
        [x: string]: any;
    };
    space: {
        0: string;
        xs: number;
        sm: number;
        md: number;
        lg: number;
        xl: number;
        xsPX: string;
        smPX: string;
        mdPX: string;
        lgPX: string;
        xlPX: string;
        1: string;
        2: string;
        3: string;
        4: string;
        5: string;
        6: string;
        7: string;
        8: string;
        9: string;
        10: string;
        11: string;
        12: string;
        13: string;
        14: string;
        15: string;
        16: string;
        17: string;
        18: string;
        20: string;
        24: string;
        28: string;
        32: string;
        36: string;
        40: string;
        44: string;
        48: string;
        52: string;
        56: string;
        60: string;
        64: string;
        72: string;
        80: string;
        96: string;
    };
    fontSizes: {
        xs: string;
        sm: string;
        md: string;
        lg: string;
        xl: string;
    };
    fonts: {
        standard: string;
        mono: string;
        fallback: string;
    };
    fontWeights: {
        thin: number;
        extralight: number;
        light: number;
        normal: number;
        medium: number;
        semibold: number;
        bold: number;
        extrabold: number;
    };
    lineHeights: {
        xs: number;
        sm: number;
        md: number;
        lg: number;
        xl: number;
    };
    letterSpacings: {
        tighter: string;
        tight: string;
        normal: string;
        wide: string;
        wider: string;
        widest: string;
    };
    sizes: unknown;
    radii: {
        xs: string;
        sm: string;
        md: string;
        lg: string;
        xl: string;
        squared: string;
        rounded: string;
        pill: string;
    };
    shadows: {
        xs: string;
        sm: string;
        md: string;
        lg: string;
        xl: string;
    };
    zIndices: {
        1: string;
        2: string;
        3: string;
        4: string;
        5: string;
        10: string;
        max: string;
    };
    borderWidths: {
        light: string;
        normal: string;
        bold: string;
        extrabold: string;
        black: string;
        xs: string;
        sm: string;
        md: string;
        lg: string;
        xl: string;
    };
    breakpoints: {
        xs: number;
        sm: number;
        md: number;
        lg: number;
        xl: number;
    };
    borderStyles: unknown;
    transitions: unknown;
}, {
    width: "space";
    height: "space";
    minWidth: "space";
    maxWidth: "space";
    minHeight: "space";
    maxHeight: "space";
    flexBasis: "space";
    gridTemplateColumns: "space";
    gridTemplateRows: "space";
    blockSize: "space";
    minBlockSize: "space";
    maxBlockSize: "space";
    inlineSize: "space";
    minInlineSize: "space";
    maxInlineSize: "space";
    borderWidth: "borderWeights";
    gap: "space";
    gridGap: "space";
    columnGap: "space";
    gridColumnGap: "space";
    rowGap: "space";
    gridRowGap: "space";
    inset: "space";
    insetBlock: "space";
    insetBlockEnd: "space";
    insetBlockStart: "space";
    insetInline: "space";
    insetInlineEnd: "space";
    insetInlineStart: "space";
    margin: "space";
    marginTop: "space";
    marginRight: "space";
    marginBottom: "space";
    marginLeft: "space";
    marginBlock: "space";
    marginBlockEnd: "space";
    marginBlockStart: "space";
    marginInline: "space";
    marginInlineEnd: "space";
    marginInlineStart: "space";
    padding: "space";
    paddingTop: "space";
    paddingRight: "space";
    paddingBottom: "space";
    paddingLeft: "space";
    paddingBlock: "space";
    paddingBlockEnd: "space";
    paddingBlockStart: "space";
    paddingInline: "space";
    paddingInlineEnd: "space";
    paddingInlineStart: "space";
    scrollMargin: "space";
    scrollMarginTop: "space";
    scrollMarginRight: "space";
    scrollMarginBottom: "space";
    scrollMarginLeft: "space";
    scrollMarginBlock: "space";
    scrollMarginBlockEnd: "space";
    scrollMarginBlockStart: "space";
    scrollMarginInline: "space";
    scrollMarginInlineEnd: "space";
    scrollMarginInlineStart: "space";
    scrollPadding: "space";
    scrollPaddingTop: "space";
    scrollPaddingRight: "space";
    scrollPaddingBottom: "space";
    scrollPaddingLeft: "space";
    scrollPaddingBlock: "space";
    scrollPaddingBlockEnd: "space";
    scrollPaddingBlockStart: "space";
    scrollPaddingInline: "space";
    scrollPaddingInlineEnd: "space";
    scrollPaddingInlineStart: "space";
    top: "space";
    right: "space";
    bottom: "space";
    left: "space";
    fontSize: "fontSizes";
    background: "colors";
    backgroundColor: "colors";
    backgroundImage: "colors";
    borderImage: "colors";
    border: "colors";
    borderBlock: "colors";
    borderBlockEnd: "colors";
    borderBlockStart: "colors";
    borderBottom: "colors";
    borderBottomColor: "colors";
    borderColor: "colors";
    borderInline: "colors";
    borderInlineEnd: "colors";
    borderInlineStart: "colors";
    borderLeft: "colors";
    borderLeftColor: "colors";
    borderRight: "colors";
    borderRightColor: "colors";
    borderTop: "colors";
    borderTopColor: "colors";
    caretColor: "colors";
    color: "colors";
    columnRuleColor: "colors";
    outline: "colors";
    outlineColor: "colors";
    fill: "colors";
    stroke: "colors";
    textDecorationColor: "colors";
    fontFamily: "fonts";
    fontWeight: "fontWeights";
    lineHeight: "lineHeights";
    letterSpacing: "letterSpacings";
    borderTopWidth: "borderWidths";
    borderLeftWidth: "borderWidths";
    borderRightWidth: "borderWidths";
    borderBottomWidth: "borderWidths";
    borderStyle: "borderStyles";
    borderTopStyle: "borderStyles";
    borderLeftStyle: "borderStyles";
    borderRightStyle: "borderStyles";
    borderBottomStyle: "borderStyles";
    borderRadius: "radii";
    borderTopLeftRadius: "radii";
    borderTopRightRadius: "radii";
    borderBottomRightRadius: "radii";
    borderBottomLeftRadius: "radii";
    boxShadow: "shadows";
    textShadow: "shadows";
    transition: "transitions";
    zIndex: "zIndices";
}, {
    focusRing: (value: 'auto' | 'always' | 'never') => {
        WebkitTapHighlightColor: string;
        '&:focus': {
            outlineOffset: number;
            outline: string;
        };
        '&:focus:not(:focus-visible)': {
            outline: string;
        };
    };
    p: (value: Stitches.ScaleValue<'space'>) => {
        padding: {
            readonly [Stitches.$$ScaleValue]: "space";
        };
    };
    pt: (value: Stitches.ScaleValue<'space'> | number | string) => {
        paddingTop: string | number | {
            readonly [Stitches.$$ScaleValue]: "space";
        };
    };
    pr: (value: Stitches.ScaleValue<'space'> | number | string) => {
        paddingRight: string | number | {
            readonly [Stitches.$$ScaleValue]: "space";
        };
    };
    pb: (value: Stitches.ScaleValue<'space'> | number | string) => {
        paddingBottom: string | number | {
            readonly [Stitches.$$ScaleValue]: "space";
        };
    };
    pl: (value: Stitches.ScaleValue<'space'> | number | string) => {
        paddingLeft: string | number | {
            readonly [Stitches.$$ScaleValue]: "space";
        };
    };
    px: (value: Stitches.ScaleValue<'space'> | number | string) => {
        paddingLeft: string | number | {
            readonly [Stitches.$$ScaleValue]: "space";
        };
        paddingRight: string | number | {
            readonly [Stitches.$$ScaleValue]: "space";
        };
    };
    py: (value: Stitches.ScaleValue<'space'> | number | string) => {
        paddingTop: string | number | {
            readonly [Stitches.$$ScaleValue]: "space";
        };
        paddingBottom: string | number | {
            readonly [Stitches.$$ScaleValue]: "space";
        };
    };
    m: (value: Stitches.ScaleValue<'space'> | number | string) => {
        margin: string | number | {
            readonly [Stitches.$$ScaleValue]: "space";
        };
    };
    mt: (value: Stitches.ScaleValue<'space'> | number | string) => {
        marginTop: string | number | {
            readonly [Stitches.$$ScaleValue]: "space";
        };
    };
    mr: (value: Stitches.ScaleValue<'space'> | number | string) => {
        marginRight: string | number | {
            readonly [Stitches.$$ScaleValue]: "space";
        };
    };
    mb: (value: Stitches.ScaleValue<'space'> | number | string) => {
        marginBottom: string | number | {
            readonly [Stitches.$$ScaleValue]: "space";
        };
    };
    ml: (value: Stitches.ScaleValue<'space'> | number | string) => {
        marginLeft: string | number | {
            readonly [Stitches.$$ScaleValue]: "space";
        };
    };
    mx: (value: Stitches.ScaleValue<'space'> | number | string) => {
        marginLeft: string | number | {
            readonly [Stitches.$$ScaleValue]: "space";
        };
        marginRight: string | number | {
            readonly [Stitches.$$ScaleValue]: "space";
        };
    };
    my: (value: Stitches.ScaleValue<'space'> | number | string) => {
        marginTop: string | number | {
            readonly [Stitches.$$ScaleValue]: "space";
        };
        marginBottom: string | number | {
            readonly [Stitches.$$ScaleValue]: "space";
        };
    };
    ta: (value: Stitches.PropertyValue<'textAlign'>) => {
        textAlign: {
            readonly [Stitches.$$PropertyValue]: "textAlign";
        };
    };
    tt: (value: Stitches.PropertyValue<'textTransform'>) => {
        textTransform: {
            readonly [Stitches.$$PropertyValue]: "textTransform";
        };
    };
    to: (value: Stitches.PropertyValue<'textOverflow'>) => {
        textOverflow: {
            readonly [Stitches.$$PropertyValue]: "textOverflow";
        };
    };
    d: (value: Stitches.PropertyValue<'display'>) => {
        display: {
            readonly [Stitches.$$PropertyValue]: "display";
        };
    };
    dflex: (value: Stitches.PropertyValue<'alignItems' | 'justifyContent'>) => {
        display: string;
        alignItems: {
            readonly [Stitches.$$PropertyValue]: "alignItems" | "justifyContent";
        };
        justifyContent: {
            readonly [Stitches.$$PropertyValue]: "alignItems" | "justifyContent";
        };
    };
    fd: (value: Stitches.PropertyValue<'flexDirection'>) => {
        flexDirection: {
            readonly [Stitches.$$PropertyValue]: "flexDirection";
        };
    };
    fw: (value: Stitches.PropertyValue<'flexWrap'>) => {
        flexWrap: {
            readonly [Stitches.$$PropertyValue]: "flexWrap";
        };
    };
    ai: (value: Stitches.PropertyValue<'alignItems'>) => {
        alignItems: {
            readonly [Stitches.$$PropertyValue]: "alignItems";
        };
    };
    ac: (value: Stitches.PropertyValue<'alignContent'>) => {
        alignContent: {
            readonly [Stitches.$$PropertyValue]: "alignContent";
        };
    };
    jc: (value: Stitches.PropertyValue<'justifyContent'>) => {
        justifyContent: {
            readonly [Stitches.$$PropertyValue]: "justifyContent";
        };
    };
    as: (value: Stitches.PropertyValue<'alignSelf'>) => {
        alignSelf: {
            readonly [Stitches.$$PropertyValue]: "alignSelf";
        };
    };
    fg: (value: Stitches.PropertyValue<'flexGrow'>) => {
        flexGrow: {
            readonly [Stitches.$$PropertyValue]: "flexGrow";
        };
    };
    fs: (value: Stitches.PropertyValue<'fontSize'>) => {
        fontSize: {
            readonly [Stitches.$$PropertyValue]: "fontSize";
        };
    };
    fb: (value: Stitches.PropertyValue<'flexBasis'>) => {
        flexBasis: {
            readonly [Stitches.$$PropertyValue]: "flexBasis";
        };
    };
    bc: (value: Stitches.PropertyValue<'backgroundColor'>) => {
        backgroundColor: {
            readonly [Stitches.$$PropertyValue]: "backgroundColor";
        };
    };
    bf: (value: Stitches.PropertyValue<'backdropFilter'>) => {
        backdropFilter: {
            readonly [Stitches.$$PropertyValue]: "backdropFilter";
        };
    };
    bg: (value: Stitches.PropertyValue<'background'>) => {
        background: {
            readonly [Stitches.$$PropertyValue]: "background";
        };
    };
    bgBlur: (value: Stitches.PropertyValue<'background'>) => {
        bf: string;
        bg: {
            readonly [Stitches.$$PropertyValue]: "background";
        };
    };
    bgColor: (value: Stitches.PropertyValue<'backgroundColor'>) => {
        backgroundColor: {
            readonly [Stitches.$$PropertyValue]: "backgroundColor";
        };
    };
    backgroundClip: (value: Stitches.PropertyValue<'backgroundClip'>) => {
        WebkitBackgroundClip: {
            readonly [Stitches.$$PropertyValue]: "backgroundClip";
        };
        backgroundClip: {
            readonly [Stitches.$$PropertyValue]: "backgroundClip";
        };
    };
    bgClip: (value: Stitches.PropertyValue<'backgroundClip'>) => {
        WebkitBackgroundClip: {
            readonly [Stitches.$$PropertyValue]: "backgroundClip";
        };
        backgroundClip: {
            readonly [Stitches.$$PropertyValue]: "backgroundClip";
        };
    };
    br: (value: Stitches.PropertyValue<'borderRadius'>) => {
        borderRadius: {
            readonly [Stitches.$$PropertyValue]: "borderRadius";
        };
    };
    bw: (value: Stitches.PropertyValue<'borderWidth'>) => {
        borderWidth: {
            readonly [Stitches.$$PropertyValue]: "borderWidth";
        };
    };
    btrr: (value: Stitches.PropertyValue<'borderTopRightRadius'>) => {
        borderTopRightRadius: {
            readonly [Stitches.$$PropertyValue]: "borderTopRightRadius";
        };
    };
    bbrr: (value: Stitches.PropertyValue<'borderBottomRightRadius'>) => {
        borderBottomRightRadius: {
            readonly [Stitches.$$PropertyValue]: "borderBottomRightRadius";
        };
    };
    bblr: (value: Stitches.PropertyValue<'borderBottomLeftRadius'>) => {
        borderBottomLeftRadius: {
            readonly [Stitches.$$PropertyValue]: "borderBottomLeftRadius";
        };
    };
    btlr: (value: Stitches.PropertyValue<'borderTopLeftRadius'>) => {
        borderTopLeftRadius: {
            readonly [Stitches.$$PropertyValue]: "borderTopLeftRadius";
        };
    };
    bs: (value: Stitches.PropertyValue<'boxShadow'>) => {
        boxShadow: {
            readonly [Stitches.$$PropertyValue]: "boxShadow";
        };
    };
    normalShadow: (value: keyof typeof colors) => {
        boxShadow: string;
    };
    lh: (value: Stitches.PropertyValue<'lineHeight'>) => {
        lineHeight: {
            readonly [Stitches.$$PropertyValue]: "lineHeight";
        };
    };
    ov: (value: Stitches.PropertyValue<'overflow'>) => {
        overflow: {
            readonly [Stitches.$$PropertyValue]: "overflow";
        };
    };
    ox: (value: Stitches.PropertyValue<'overflowX'>) => {
        overflowX: {
            readonly [Stitches.$$PropertyValue]: "overflowX";
        };
    };
    oy: (value: Stitches.PropertyValue<'overflowY'>) => {
        overflowY: {
            readonly [Stitches.$$PropertyValue]: "overflowY";
        };
    };
    pe: (value: Stitches.PropertyValue<'pointerEvents'>) => {
        pointerEvents: {
            readonly [Stitches.$$PropertyValue]: "pointerEvents";
        };
    };
    events: (value: Stitches.PropertyValue<'pointerEvents'>) => {
        pointerEvents: {
            readonly [Stitches.$$PropertyValue]: "pointerEvents";
        };
    };
    us: (value: Stitches.PropertyValue<'userSelect'>) => {
        WebkitUserSelect: {
            readonly [Stitches.$$PropertyValue]: "userSelect";
        };
        userSelect: {
            readonly [Stitches.$$PropertyValue]: "userSelect";
        };
    };
    userSelect: (value: Stitches.PropertyValue<'userSelect'>) => {
        WebkitUserSelect: {
            readonly [Stitches.$$PropertyValue]: "userSelect";
        };
        userSelect: {
            readonly [Stitches.$$PropertyValue]: "userSelect";
        };
    };
    w: (value: Stitches.ScaleValue<'space'>) => {
        width: {
            readonly [Stitches.$$ScaleValue]: "space";
        };
    };
    h: (value: Stitches.ScaleValue<'space'> | number | string) => {
        height: string | number | {
            readonly [Stitches.$$ScaleValue]: "space";
        };
    };
    minW: (value: Stitches.ScaleValue<'scale'> | number | string) => {
        minWidth: string | number | {
            readonly [Stitches.$$ScaleValue]: "scale";
        };
    };
    minH: (value: Stitches.ScaleValue<'scale'> | number | string) => {
        minWidth: string | number | {
            readonly [Stitches.$$ScaleValue]: "scale";
        };
    };
    mw: (value: Stitches.ScaleValue<'scale'> | number | string) => {
        maxWidth: string | number | {
            readonly [Stitches.$$ScaleValue]: "scale";
        };
    };
    maxW: (value: Stitches.ScaleValue<'scale'> | number | string) => {
        maxWidth: string | number | {
            readonly [Stitches.$$ScaleValue]: "scale";
        };
    };
    mh: (value: Stitches.ScaleValue<'scale'> | number | string) => {
        maxHeight: string | number | {
            readonly [Stitches.$$ScaleValue]: "scale";
        };
    };
    maxH: (value: Stitches.ScaleValue<'scale'> | number | string) => {
        maxHeight: string | number | {
            readonly [Stitches.$$ScaleValue]: "scale";
        };
    };
    size: (value: Stitches.ScaleValue<'space'> | number | string) => {
        width: string | number | {
            readonly [Stitches.$$ScaleValue]: "space";
        };
        height: string | number | {
            readonly [Stitches.$$ScaleValue]: "space";
        };
    };
    minSize: (value: Stitches.ScaleValue<'scale'> | number | string) => {
        minWidth: string | number | {
            readonly [Stitches.$$ScaleValue]: "scale";
        };
        minHeight: string | number | {
            readonly [Stitches.$$ScaleValue]: "scale";
        };
        width: string | number | {
            readonly [Stitches.$$ScaleValue]: "scale";
        };
        height: string | number | {
            readonly [Stitches.$$ScaleValue]: "scale";
        };
    };
    sizeMin: (value: Stitches.ScaleValue<'scale'> | number | string) => {
        minWidth: string | number | {
            readonly [Stitches.$$ScaleValue]: "scale";
        };
        minHeight: string | number | {
            readonly [Stitches.$$ScaleValue]: "scale";
        };
        width: string | number | {
            readonly [Stitches.$$ScaleValue]: "scale";
        };
        height: string | number | {
            readonly [Stitches.$$ScaleValue]: "scale";
        };
    };
    maxSize: (value: Stitches.ScaleValue<'scale'> | number | string) => {
        maxWidth: string | number | {
            readonly [Stitches.$$ScaleValue]: "scale";
        };
        maxHeight: string | number | {
            readonly [Stitches.$$ScaleValue]: "scale";
        };
    };
    sizeMax: (value: Stitches.ScaleValue<'scale'> | number | string) => {
        maxWidth: string | number | {
            readonly [Stitches.$$ScaleValue]: "scale";
        };
        maxHeight: string | number | {
            readonly [Stitches.$$ScaleValue]: "scale";
        };
    };
    appearance: (value: Stitches.PropertyValue<'appearance'>) => {
        WebkitAppearance: {
            readonly [Stitches.$$PropertyValue]: "appearance";
        };
        appearance: {
            readonly [Stitches.$$PropertyValue]: "appearance";
        };
    };
    scale: (value: string) => {
        transform: string;
    };
    linearGradient: (value: string) => {
        backgroundImage: string;
    };
    tdl: (value: Stitches.PropertyValue<'textDecorationLine'>) => {
        textDecorationLine: {
            readonly [Stitches.$$PropertyValue]: "textDecorationLine";
        };
    };
    textGradient: (value: string) => {
        backgroundImage: string;
        WebkitBackgroundClip: string;
        WebkitTextFillColor: string;
    };
}>; })[]) => () => string, keyframes: (style: {
    [offset: string]: import("@stitches/core/types/css-util").CSS<{
        xs: "(min-width: 576px)";
        sm: "(min-width: 768px)";
        md: "(min-width: 992px)";
        lg: "(min-width: 1200px)";
        xl: "(min-width: 1400px)";
    }, {
        colors: {
            [x: string]: any;
        };
        space: {
            0: string;
            xs: number;
            sm: number;
            md: number;
            lg: number;
            xl: number;
            xsPX: string;
            smPX: string;
            mdPX: string;
            lgPX: string;
            xlPX: string;
            1: string;
            2: string;
            3: string;
            4: string;
            5: string;
            6: string;
            7: string;
            8: string;
            9: string;
            10: string;
            11: string;
            12: string;
            13: string;
            14: string;
            15: string;
            16: string;
            17: string;
            18: string;
            20: string;
            24: string;
            28: string;
            32: string;
            36: string;
            40: string;
            44: string;
            48: string;
            52: string;
            56: string;
            60: string;
            64: string;
            72: string;
            80: string;
            96: string;
        };
        fontSizes: {
            xs: string;
            sm: string;
            md: string;
            lg: string;
            xl: string;
        };
        fonts: {
            standard: string;
            mono: string;
            fallback: string;
        };
        fontWeights: {
            thin: number;
            extralight: number;
            light: number;
            normal: number;
            medium: number;
            semibold: number;
            bold: number;
            extrabold: number;
        };
        lineHeights: {
            xs: number;
            sm: number;
            md: number;
            lg: number;
            xl: number;
        };
        letterSpacings: {
            tighter: string;
            tight: string;
            normal: string;
            wide: string;
            wider: string;
            widest: string;
        };
        sizes: unknown;
        radii: {
            xs: string;
            sm: string;
            md: string;
            lg: string;
            xl: string;
            squared: string;
            rounded: string;
            pill: string;
        };
        shadows: {
            xs: string;
            sm: string;
            md: string;
            lg: string;
            xl: string;
        };
        zIndices: {
            1: string;
            2: string;
            3: string;
            4: string;
            5: string;
            10: string;
            max: string;
        };
        borderWidths: {
            light: string;
            normal: string;
            bold: string;
            extrabold: string;
            black: string;
            xs: string;
            sm: string;
            md: string;
            lg: string;
            xl: string;
        };
        breakpoints: {
            xs: number;
            sm: number;
            md: number;
            lg: number;
            xl: number;
        };
        borderStyles: unknown;
        transitions: unknown;
    }, {
        width: "space";
        height: "space";
        minWidth: "space";
        maxWidth: "space";
        minHeight: "space";
        maxHeight: "space";
        flexBasis: "space";
        gridTemplateColumns: "space";
        gridTemplateRows: "space";
        blockSize: "space";
        minBlockSize: "space";
        maxBlockSize: "space";
        inlineSize: "space";
        minInlineSize: "space";
        maxInlineSize: "space";
        borderWidth: "borderWeights";
        gap: "space";
        gridGap: "space";
        columnGap: "space";
        gridColumnGap: "space";
        rowGap: "space";
        gridRowGap: "space";
        inset: "space";
        insetBlock: "space";
        insetBlockEnd: "space";
        insetBlockStart: "space";
        insetInline: "space";
        insetInlineEnd: "space";
        insetInlineStart: "space";
        margin: "space";
        marginTop: "space";
        marginRight: "space";
        marginBottom: "space";
        marginLeft: "space";
        marginBlock: "space";
        marginBlockEnd: "space";
        marginBlockStart: "space";
        marginInline: "space";
        marginInlineEnd: "space";
        marginInlineStart: "space";
        padding: "space";
        paddingTop: "space";
        paddingRight: "space";
        paddingBottom: "space";
        paddingLeft: "space";
        paddingBlock: "space";
        paddingBlockEnd: "space";
        paddingBlockStart: "space";
        paddingInline: "space";
        paddingInlineEnd: "space";
        paddingInlineStart: "space";
        scrollMargin: "space";
        scrollMarginTop: "space";
        scrollMarginRight: "space";
        scrollMarginBottom: "space";
        scrollMarginLeft: "space";
        scrollMarginBlock: "space";
        scrollMarginBlockEnd: "space";
        scrollMarginBlockStart: "space";
        scrollMarginInline: "space";
        scrollMarginInlineEnd: "space";
        scrollMarginInlineStart: "space";
        scrollPadding: "space";
        scrollPaddingTop: "space";
        scrollPaddingRight: "space";
        scrollPaddingBottom: "space";
        scrollPaddingLeft: "space";
        scrollPaddingBlock: "space";
        scrollPaddingBlockEnd: "space";
        scrollPaddingBlockStart: "space";
        scrollPaddingInline: "space";
        scrollPaddingInlineEnd: "space";
        scrollPaddingInlineStart: "space";
        top: "space";
        right: "space";
        bottom: "space";
        left: "space";
        fontSize: "fontSizes";
        background: "colors";
        backgroundColor: "colors";
        backgroundImage: "colors";
        borderImage: "colors";
        border: "colors";
        borderBlock: "colors";
        borderBlockEnd: "colors";
        borderBlockStart: "colors";
        borderBottom: "colors";
        borderBottomColor: "colors";
        borderColor: "colors";
        borderInline: "colors";
        borderInlineEnd: "colors";
        borderInlineStart: "colors";
        borderLeft: "colors";
        borderLeftColor: "colors";
        borderRight: "colors";
        borderRightColor: "colors";
        borderTop: "colors";
        borderTopColor: "colors";
        caretColor: "colors";
        color: "colors";
        columnRuleColor: "colors";
        outline: "colors";
        outlineColor: "colors";
        fill: "colors";
        stroke: "colors";
        textDecorationColor: "colors";
        fontFamily: "fonts";
        fontWeight: "fontWeights";
        lineHeight: "lineHeights";
        letterSpacing: "letterSpacings";
        borderTopWidth: "borderWidths";
        borderLeftWidth: "borderWidths";
        borderRightWidth: "borderWidths";
        borderBottomWidth: "borderWidths";
        borderStyle: "borderStyles";
        borderTopStyle: "borderStyles";
        borderLeftStyle: "borderStyles";
        borderRightStyle: "borderStyles";
        borderBottomStyle: "borderStyles";
        borderRadius: "radii";
        borderTopLeftRadius: "radii";
        borderTopRightRadius: "radii";
        borderBottomRightRadius: "radii";
        borderBottomLeftRadius: "radii";
        boxShadow: "shadows";
        textShadow: "shadows";
        transition: "transitions";
        zIndex: "zIndices";
    }, {
        focusRing: (value: 'auto' | 'always' | 'never') => {
            WebkitTapHighlightColor: string;
            '&:focus': {
                outlineOffset: number;
                outline: string;
            };
            '&:focus:not(:focus-visible)': {
                outline: string;
            };
        };
        p: (value: Stitches.ScaleValue<'space'>) => {
            padding: {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        pt: (value: Stitches.ScaleValue<'space'> | number | string) => {
            paddingTop: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        pr: (value: Stitches.ScaleValue<'space'> | number | string) => {
            paddingRight: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        pb: (value: Stitches.ScaleValue<'space'> | number | string) => {
            paddingBottom: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        pl: (value: Stitches.ScaleValue<'space'> | number | string) => {
            paddingLeft: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        px: (value: Stitches.ScaleValue<'space'> | number | string) => {
            paddingLeft: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
            paddingRight: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        py: (value: Stitches.ScaleValue<'space'> | number | string) => {
            paddingTop: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
            paddingBottom: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        m: (value: Stitches.ScaleValue<'space'> | number | string) => {
            margin: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        mt: (value: Stitches.ScaleValue<'space'> | number | string) => {
            marginTop: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        mr: (value: Stitches.ScaleValue<'space'> | number | string) => {
            marginRight: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        mb: (value: Stitches.ScaleValue<'space'> | number | string) => {
            marginBottom: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        ml: (value: Stitches.ScaleValue<'space'> | number | string) => {
            marginLeft: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        mx: (value: Stitches.ScaleValue<'space'> | number | string) => {
            marginLeft: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
            marginRight: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        my: (value: Stitches.ScaleValue<'space'> | number | string) => {
            marginTop: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
            marginBottom: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        ta: (value: Stitches.PropertyValue<'textAlign'>) => {
            textAlign: {
                readonly [Stitches.$$PropertyValue]: "textAlign";
            };
        };
        tt: (value: Stitches.PropertyValue<'textTransform'>) => {
            textTransform: {
                readonly [Stitches.$$PropertyValue]: "textTransform";
            };
        };
        to: (value: Stitches.PropertyValue<'textOverflow'>) => {
            textOverflow: {
                readonly [Stitches.$$PropertyValue]: "textOverflow";
            };
        };
        d: (value: Stitches.PropertyValue<'display'>) => {
            display: {
                readonly [Stitches.$$PropertyValue]: "display";
            };
        };
        dflex: (value: Stitches.PropertyValue<'alignItems' | 'justifyContent'>) => {
            display: string;
            alignItems: {
                readonly [Stitches.$$PropertyValue]: "alignItems" | "justifyContent";
            };
            justifyContent: {
                readonly [Stitches.$$PropertyValue]: "alignItems" | "justifyContent";
            };
        };
        fd: (value: Stitches.PropertyValue<'flexDirection'>) => {
            flexDirection: {
                readonly [Stitches.$$PropertyValue]: "flexDirection";
            };
        };
        fw: (value: Stitches.PropertyValue<'flexWrap'>) => {
            flexWrap: {
                readonly [Stitches.$$PropertyValue]: "flexWrap";
            };
        };
        ai: (value: Stitches.PropertyValue<'alignItems'>) => {
            alignItems: {
                readonly [Stitches.$$PropertyValue]: "alignItems";
            };
        };
        ac: (value: Stitches.PropertyValue<'alignContent'>) => {
            alignContent: {
                readonly [Stitches.$$PropertyValue]: "alignContent";
            };
        };
        jc: (value: Stitches.PropertyValue<'justifyContent'>) => {
            justifyContent: {
                readonly [Stitches.$$PropertyValue]: "justifyContent";
            };
        };
        as: (value: Stitches.PropertyValue<'alignSelf'>) => {
            alignSelf: {
                readonly [Stitches.$$PropertyValue]: "alignSelf";
            };
        };
        fg: (value: Stitches.PropertyValue<'flexGrow'>) => {
            flexGrow: {
                readonly [Stitches.$$PropertyValue]: "flexGrow";
            };
        };
        fs: (value: Stitches.PropertyValue<'fontSize'>) => {
            fontSize: {
                readonly [Stitches.$$PropertyValue]: "fontSize";
            };
        };
        fb: (value: Stitches.PropertyValue<'flexBasis'>) => {
            flexBasis: {
                readonly [Stitches.$$PropertyValue]: "flexBasis";
            };
        };
        bc: (value: Stitches.PropertyValue<'backgroundColor'>) => {
            backgroundColor: {
                readonly [Stitches.$$PropertyValue]: "backgroundColor";
            };
        };
        bf: (value: Stitches.PropertyValue<'backdropFilter'>) => {
            backdropFilter: {
                readonly [Stitches.$$PropertyValue]: "backdropFilter";
            };
        };
        bg: (value: Stitches.PropertyValue<'background'>) => {
            background: {
                readonly [Stitches.$$PropertyValue]: "background";
            };
        };
        bgBlur: (value: Stitches.PropertyValue<'background'>) => {
            bf: string;
            bg: {
                readonly [Stitches.$$PropertyValue]: "background";
            };
        };
        bgColor: (value: Stitches.PropertyValue<'backgroundColor'>) => {
            backgroundColor: {
                readonly [Stitches.$$PropertyValue]: "backgroundColor";
            };
        };
        backgroundClip: (value: Stitches.PropertyValue<'backgroundClip'>) => {
            WebkitBackgroundClip: {
                readonly [Stitches.$$PropertyValue]: "backgroundClip";
            };
            backgroundClip: {
                readonly [Stitches.$$PropertyValue]: "backgroundClip";
            };
        };
        bgClip: (value: Stitches.PropertyValue<'backgroundClip'>) => {
            WebkitBackgroundClip: {
                readonly [Stitches.$$PropertyValue]: "backgroundClip";
            };
            backgroundClip: {
                readonly [Stitches.$$PropertyValue]: "backgroundClip";
            };
        };
        br: (value: Stitches.PropertyValue<'borderRadius'>) => {
            borderRadius: {
                readonly [Stitches.$$PropertyValue]: "borderRadius";
            };
        };
        bw: (value: Stitches.PropertyValue<'borderWidth'>) => {
            borderWidth: {
                readonly [Stitches.$$PropertyValue]: "borderWidth";
            };
        };
        btrr: (value: Stitches.PropertyValue<'borderTopRightRadius'>) => {
            borderTopRightRadius: {
                readonly [Stitches.$$PropertyValue]: "borderTopRightRadius";
            };
        };
        bbrr: (value: Stitches.PropertyValue<'borderBottomRightRadius'>) => {
            borderBottomRightRadius: {
                readonly [Stitches.$$PropertyValue]: "borderBottomRightRadius";
            };
        };
        bblr: (value: Stitches.PropertyValue<'borderBottomLeftRadius'>) => {
            borderBottomLeftRadius: {
                readonly [Stitches.$$PropertyValue]: "borderBottomLeftRadius";
            };
        };
        btlr: (value: Stitches.PropertyValue<'borderTopLeftRadius'>) => {
            borderTopLeftRadius: {
                readonly [Stitches.$$PropertyValue]: "borderTopLeftRadius";
            };
        };
        bs: (value: Stitches.PropertyValue<'boxShadow'>) => {
            boxShadow: {
                readonly [Stitches.$$PropertyValue]: "boxShadow";
            };
        };
        normalShadow: (value: keyof typeof colors) => {
            boxShadow: string;
        };
        lh: (value: Stitches.PropertyValue<'lineHeight'>) => {
            lineHeight: {
                readonly [Stitches.$$PropertyValue]: "lineHeight";
            };
        };
        ov: (value: Stitches.PropertyValue<'overflow'>) => {
            overflow: {
                readonly [Stitches.$$PropertyValue]: "overflow";
            };
        };
        ox: (value: Stitches.PropertyValue<'overflowX'>) => {
            overflowX: {
                readonly [Stitches.$$PropertyValue]: "overflowX";
            };
        };
        oy: (value: Stitches.PropertyValue<'overflowY'>) => {
            overflowY: {
                readonly [Stitches.$$PropertyValue]: "overflowY";
            };
        };
        pe: (value: Stitches.PropertyValue<'pointerEvents'>) => {
            pointerEvents: {
                readonly [Stitches.$$PropertyValue]: "pointerEvents";
            };
        };
        events: (value: Stitches.PropertyValue<'pointerEvents'>) => {
            pointerEvents: {
                readonly [Stitches.$$PropertyValue]: "pointerEvents";
            };
        };
        us: (value: Stitches.PropertyValue<'userSelect'>) => {
            WebkitUserSelect: {
                readonly [Stitches.$$PropertyValue]: "userSelect";
            };
            userSelect: {
                readonly [Stitches.$$PropertyValue]: "userSelect";
            };
        };
        userSelect: (value: Stitches.PropertyValue<'userSelect'>) => {
            WebkitUserSelect: {
                readonly [Stitches.$$PropertyValue]: "userSelect";
            };
            userSelect: {
                readonly [Stitches.$$PropertyValue]: "userSelect";
            };
        };
        w: (value: Stitches.ScaleValue<'space'>) => {
            width: {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        h: (value: Stitches.ScaleValue<'space'> | number | string) => {
            height: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        minW: (value: Stitches.ScaleValue<'scale'> | number | string) => {
            minWidth: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
        };
        minH: (value: Stitches.ScaleValue<'scale'> | number | string) => {
            minWidth: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
        };
        mw: (value: Stitches.ScaleValue<'scale'> | number | string) => {
            maxWidth: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
        };
        maxW: (value: Stitches.ScaleValue<'scale'> | number | string) => {
            maxWidth: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
        };
        mh: (value: Stitches.ScaleValue<'scale'> | number | string) => {
            maxHeight: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
        };
        maxH: (value: Stitches.ScaleValue<'scale'> | number | string) => {
            maxHeight: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
        };
        size: (value: Stitches.ScaleValue<'space'> | number | string) => {
            width: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
            height: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        minSize: (value: Stitches.ScaleValue<'scale'> | number | string) => {
            minWidth: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
            minHeight: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
            width: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
            height: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
        };
        sizeMin: (value: Stitches.ScaleValue<'scale'> | number | string) => {
            minWidth: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
            minHeight: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
            width: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
            height: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
        };
        maxSize: (value: Stitches.ScaleValue<'scale'> | number | string) => {
            maxWidth: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
            maxHeight: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
        };
        sizeMax: (value: Stitches.ScaleValue<'scale'> | number | string) => {
            maxWidth: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
            maxHeight: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
        };
        appearance: (value: Stitches.PropertyValue<'appearance'>) => {
            WebkitAppearance: {
                readonly [Stitches.$$PropertyValue]: "appearance";
            };
            appearance: {
                readonly [Stitches.$$PropertyValue]: "appearance";
            };
        };
        scale: (value: string) => {
            transform: string;
        };
        linearGradient: (value: string) => {
            backgroundImage: string;
        };
        tdl: (value: Stitches.PropertyValue<'textDecorationLine'>) => {
            textDecorationLine: {
                readonly [Stitches.$$PropertyValue]: "textDecorationLine";
            };
        };
        textGradient: (value: string) => {
            backgroundImage: string;
            WebkitBackgroundClip: string;
            WebkitTextFillColor: string;
        };
    }>;
}) => {
    (): string;
    name: string;
}, getCssText: () => string, theme: string & {
    className: string;
    selector: string;
} & {
    colors: {
        [x: string]: import("@stitches/core/types/theme").Token<string, string, "colors", "svelteui">;
    };
    space: {
        0: import("@stitches/core/types/theme").Token<"0", string, "space", "svelteui">;
        xs: import("@stitches/core/types/theme").Token<"xs", string, "space", "svelteui">;
        sm: import("@stitches/core/types/theme").Token<"sm", string, "space", "svelteui">;
        md: import("@stitches/core/types/theme").Token<"md", string, "space", "svelteui">;
        lg: import("@stitches/core/types/theme").Token<"lg", string, "space", "svelteui">;
        xl: import("@stitches/core/types/theme").Token<"xl", string, "space", "svelteui">;
        xsPX: import("@stitches/core/types/theme").Token<"xsPX", string, "space", "svelteui">;
        smPX: import("@stitches/core/types/theme").Token<"smPX", string, "space", "svelteui">;
        mdPX: import("@stitches/core/types/theme").Token<"mdPX", string, "space", "svelteui">;
        lgPX: import("@stitches/core/types/theme").Token<"lgPX", string, "space", "svelteui">;
        xlPX: import("@stitches/core/types/theme").Token<"xlPX", string, "space", "svelteui">;
        1: import("@stitches/core/types/theme").Token<"1", string, "space", "svelteui">;
        2: import("@stitches/core/types/theme").Token<"2", string, "space", "svelteui">;
        3: import("@stitches/core/types/theme").Token<"3", string, "space", "svelteui">;
        4: import("@stitches/core/types/theme").Token<"4", string, "space", "svelteui">;
        5: import("@stitches/core/types/theme").Token<"5", string, "space", "svelteui">;
        6: import("@stitches/core/types/theme").Token<"6", string, "space", "svelteui">;
        7: import("@stitches/core/types/theme").Token<"7", string, "space", "svelteui">;
        8: import("@stitches/core/types/theme").Token<"8", string, "space", "svelteui">;
        9: import("@stitches/core/types/theme").Token<"9", string, "space", "svelteui">;
        10: import("@stitches/core/types/theme").Token<"10", string, "space", "svelteui">;
        11: import("@stitches/core/types/theme").Token<"11", string, "space", "svelteui">;
        12: import("@stitches/core/types/theme").Token<"12", string, "space", "svelteui">;
        13: import("@stitches/core/types/theme").Token<"13", string, "space", "svelteui">;
        14: import("@stitches/core/types/theme").Token<"14", string, "space", "svelteui">;
        15: import("@stitches/core/types/theme").Token<"15", string, "space", "svelteui">;
        16: import("@stitches/core/types/theme").Token<"16", string, "space", "svelteui">;
        17: import("@stitches/core/types/theme").Token<"17", string, "space", "svelteui">;
        18: import("@stitches/core/types/theme").Token<"18", string, "space", "svelteui">;
        20: import("@stitches/core/types/theme").Token<"20", string, "space", "svelteui">;
        24: import("@stitches/core/types/theme").Token<"24", string, "space", "svelteui">;
        28: import("@stitches/core/types/theme").Token<"28", string, "space", "svelteui">;
        32: import("@stitches/core/types/theme").Token<"32", string, "space", "svelteui">;
        36: import("@stitches/core/types/theme").Token<"36", string, "space", "svelteui">;
        40: import("@stitches/core/types/theme").Token<"40", string, "space", "svelteui">;
        44: import("@stitches/core/types/theme").Token<"44", string, "space", "svelteui">;
        48: import("@stitches/core/types/theme").Token<"48", string, "space", "svelteui">;
        52: import("@stitches/core/types/theme").Token<"52", string, "space", "svelteui">;
        56: import("@stitches/core/types/theme").Token<"56", string, "space", "svelteui">;
        60: import("@stitches/core/types/theme").Token<"60", string, "space", "svelteui">;
        64: import("@stitches/core/types/theme").Token<"64", string, "space", "svelteui">;
        72: import("@stitches/core/types/theme").Token<"72", string, "space", "svelteui">;
        80: import("@stitches/core/types/theme").Token<"80", string, "space", "svelteui">;
        96: import("@stitches/core/types/theme").Token<"96", string, "space", "svelteui">;
    };
    fontSizes: {
        xs: import("@stitches/core/types/theme").Token<"xs", string, "fontSizes", "svelteui">;
        sm: import("@stitches/core/types/theme").Token<"sm", string, "fontSizes", "svelteui">;
        md: import("@stitches/core/types/theme").Token<"md", string, "fontSizes", "svelteui">;
        lg: import("@stitches/core/types/theme").Token<"lg", string, "fontSizes", "svelteui">;
        xl: import("@stitches/core/types/theme").Token<"xl", string, "fontSizes", "svelteui">;
    };
    fonts: {
        standard: import("@stitches/core/types/theme").Token<"standard", string, "fonts", "svelteui">;
        mono: import("@stitches/core/types/theme").Token<"mono", string, "fonts", "svelteui">;
        fallback: import("@stitches/core/types/theme").Token<"fallback", string, "fonts", "svelteui">;
    };
    fontWeights: {
        thin: import("@stitches/core/types/theme").Token<"thin", string, "fontWeights", "svelteui">;
        extralight: import("@stitches/core/types/theme").Token<"extralight", string, "fontWeights", "svelteui">;
        light: import("@stitches/core/types/theme").Token<"light", string, "fontWeights", "svelteui">;
        normal: import("@stitches/core/types/theme").Token<"normal", string, "fontWeights", "svelteui">;
        medium: import("@stitches/core/types/theme").Token<"medium", string, "fontWeights", "svelteui">;
        semibold: import("@stitches/core/types/theme").Token<"semibold", string, "fontWeights", "svelteui">;
        bold: import("@stitches/core/types/theme").Token<"bold", string, "fontWeights", "svelteui">;
        extrabold: import("@stitches/core/types/theme").Token<"extrabold", string, "fontWeights", "svelteui">;
    };
    lineHeights: {
        xs: import("@stitches/core/types/theme").Token<"xs", string, "lineHeights", "svelteui">;
        sm: import("@stitches/core/types/theme").Token<"sm", string, "lineHeights", "svelteui">;
        md: import("@stitches/core/types/theme").Token<"md", string, "lineHeights", "svelteui">;
        lg: import("@stitches/core/types/theme").Token<"lg", string, "lineHeights", "svelteui">;
        xl: import("@stitches/core/types/theme").Token<"xl", string, "lineHeights", "svelteui">;
    };
    letterSpacings: {
        tighter: import("@stitches/core/types/theme").Token<"tighter", string, "letterSpacings", "svelteui">;
        tight: import("@stitches/core/types/theme").Token<"tight", string, "letterSpacings", "svelteui">;
        normal: import("@stitches/core/types/theme").Token<"normal", string, "letterSpacings", "svelteui">;
        wide: import("@stitches/core/types/theme").Token<"wide", string, "letterSpacings", "svelteui">;
        wider: import("@stitches/core/types/theme").Token<"wider", string, "letterSpacings", "svelteui">;
        widest: import("@stitches/core/types/theme").Token<"widest", string, "letterSpacings", "svelteui">;
    };
    sizes: {};
    radii: {
        xs: import("@stitches/core/types/theme").Token<"xs", string, "radii", "svelteui">;
        sm: import("@stitches/core/types/theme").Token<"sm", string, "radii", "svelteui">;
        md: import("@stitches/core/types/theme").Token<"md", string, "radii", "svelteui">;
        lg: import("@stitches/core/types/theme").Token<"lg", string, "radii", "svelteui">;
        xl: import("@stitches/core/types/theme").Token<"xl", string, "radii", "svelteui">;
        squared: import("@stitches/core/types/theme").Token<"squared", string, "radii", "svelteui">;
        rounded: import("@stitches/core/types/theme").Token<"rounded", string, "radii", "svelteui">;
        pill: import("@stitches/core/types/theme").Token<"pill", string, "radii", "svelteui">;
    };
    shadows: {
        xs: import("@stitches/core/types/theme").Token<"xs", string, "shadows", "svelteui">;
        sm: import("@stitches/core/types/theme").Token<"sm", string, "shadows", "svelteui">;
        md: import("@stitches/core/types/theme").Token<"md", string, "shadows", "svelteui">;
        lg: import("@stitches/core/types/theme").Token<"lg", string, "shadows", "svelteui">;
        xl: import("@stitches/core/types/theme").Token<"xl", string, "shadows", "svelteui">;
    };
    zIndices: {
        1: import("@stitches/core/types/theme").Token<"1", string, "zIndices", "svelteui">;
        2: import("@stitches/core/types/theme").Token<"2", string, "zIndices", "svelteui">;
        3: import("@stitches/core/types/theme").Token<"3", string, "zIndices", "svelteui">;
        4: import("@stitches/core/types/theme").Token<"4", string, "zIndices", "svelteui">;
        5: import("@stitches/core/types/theme").Token<"5", string, "zIndices", "svelteui">;
        10: import("@stitches/core/types/theme").Token<"10", string, "zIndices", "svelteui">;
        max: import("@stitches/core/types/theme").Token<"max", string, "zIndices", "svelteui">;
    };
    borderWidths: {
        light: import("@stitches/core/types/theme").Token<"light", string, "borderWidths", "svelteui">;
        normal: import("@stitches/core/types/theme").Token<"normal", string, "borderWidths", "svelteui">;
        bold: import("@stitches/core/types/theme").Token<"bold", string, "borderWidths", "svelteui">;
        extrabold: import("@stitches/core/types/theme").Token<"extrabold", string, "borderWidths", "svelteui">;
        black: import("@stitches/core/types/theme").Token<"black", string, "borderWidths", "svelteui">;
        xs: import("@stitches/core/types/theme").Token<"xs", string, "borderWidths", "svelteui">;
        sm: import("@stitches/core/types/theme").Token<"sm", string, "borderWidths", "svelteui">;
        md: import("@stitches/core/types/theme").Token<"md", string, "borderWidths", "svelteui">;
        lg: import("@stitches/core/types/theme").Token<"lg", string, "borderWidths", "svelteui">;
        xl: import("@stitches/core/types/theme").Token<"xl", string, "borderWidths", "svelteui">;
    };
    breakpoints: {
        xs: import("@stitches/core/types/theme").Token<"xs", string, "breakpoints", "svelteui">;
        sm: import("@stitches/core/types/theme").Token<"sm", string, "breakpoints", "svelteui">;
        md: import("@stitches/core/types/theme").Token<"md", string, "breakpoints", "svelteui">;
        lg: import("@stitches/core/types/theme").Token<"lg", string, "breakpoints", "svelteui">;
        xl: import("@stitches/core/types/theme").Token<"xl", string, "breakpoints", "svelteui">;
    };
    borderStyles: {};
    transitions: {};
}, createTheme: <Argument0 extends string | ({
    colors?: {
        [x: string]: string | number | boolean;
    };
    space?: {
        0?: string | number | boolean;
        xs?: string | number | boolean;
        sm?: string | number | boolean;
        md?: string | number | boolean;
        lg?: string | number | boolean;
        xl?: string | number | boolean;
        xsPX?: string | number | boolean;
        smPX?: string | number | boolean;
        mdPX?: string | number | boolean;
        lgPX?: string | number | boolean;
        xlPX?: string | number | boolean;
        1?: string | number | boolean;
        2?: string | number | boolean;
        3?: string | number | boolean;
        4?: string | number | boolean;
        5?: string | number | boolean;
        6?: string | number | boolean;
        7?: string | number | boolean;
        8?: string | number | boolean;
        9?: string | number | boolean;
        10?: string | number | boolean;
        11?: string | number | boolean;
        12?: string | number | boolean;
        13?: string | number | boolean;
        14?: string | number | boolean;
        15?: string | number | boolean;
        16?: string | number | boolean;
        17?: string | number | boolean;
        18?: string | number | boolean;
        20?: string | number | boolean;
        24?: string | number | boolean;
        28?: string | number | boolean;
        32?: string | number | boolean;
        36?: string | number | boolean;
        40?: string | number | boolean;
        44?: string | number | boolean;
        48?: string | number | boolean;
        52?: string | number | boolean;
        56?: string | number | boolean;
        60?: string | number | boolean;
        64?: string | number | boolean;
        72?: string | number | boolean;
        80?: string | number | boolean;
        96?: string | number | boolean;
    };
    fontSizes?: {
        xs?: string | number | boolean;
        sm?: string | number | boolean;
        md?: string | number | boolean;
        lg?: string | number | boolean;
        xl?: string | number | boolean;
    };
    fonts?: {
        standard?: string | number | boolean;
        mono?: string | number | boolean;
        fallback?: string | number | boolean;
    };
    fontWeights?: {
        thin?: string | number | boolean;
        extralight?: string | number | boolean;
        light?: string | number | boolean;
        normal?: string | number | boolean;
        medium?: string | number | boolean;
        semibold?: string | number | boolean;
        bold?: string | number | boolean;
        extrabold?: string | number | boolean;
    };
    lineHeights?: {
        xs?: string | number | boolean;
        sm?: string | number | boolean;
        md?: string | number | boolean;
        lg?: string | number | boolean;
        xl?: string | number | boolean;
    };
    letterSpacings?: {
        tighter?: string | number | boolean;
        tight?: string | number | boolean;
        normal?: string | number | boolean;
        wide?: string | number | boolean;
        wider?: string | number | boolean;
        widest?: string | number | boolean;
    };
    sizes?: {};
    radii?: {
        xs?: string | number | boolean;
        sm?: string | number | boolean;
        md?: string | number | boolean;
        lg?: string | number | boolean;
        xl?: string | number | boolean;
        squared?: string | number | boolean;
        rounded?: string | number | boolean;
        pill?: string | number | boolean;
    };
    shadows?: {
        xs?: string | number | boolean;
        sm?: string | number | boolean;
        md?: string | number | boolean;
        lg?: string | number | boolean;
        xl?: string | number | boolean;
    };
    zIndices?: {
        1?: string | number | boolean;
        2?: string | number | boolean;
        3?: string | number | boolean;
        4?: string | number | boolean;
        5?: string | number | boolean;
        10?: string | number | boolean;
        max?: string | number | boolean;
    };
    borderWidths?: {
        light?: string | number | boolean;
        normal?: string | number | boolean;
        bold?: string | number | boolean;
        extrabold?: string | number | boolean;
        black?: string | number | boolean;
        xs?: string | number | boolean;
        sm?: string | number | boolean;
        md?: string | number | boolean;
        lg?: string | number | boolean;
        xl?: string | number | boolean;
    };
    breakpoints?: {
        xs?: string | number | boolean;
        sm?: string | number | boolean;
        md?: string | number | boolean;
        lg?: string | number | boolean;
        xl?: string | number | boolean;
    };
    borderStyles?: {};
    transitions?: {};
} & {
    [x: string]: {
        [x: string]: string | number | boolean;
        [x: number]: string | number | boolean;
    };
}), Argument1 extends string | ({
    colors?: {
        [x: string]: string | number | boolean;
    };
    space?: {
        0?: string | number | boolean;
        xs?: string | number | boolean;
        sm?: string | number | boolean;
        md?: string | number | boolean;
        lg?: string | number | boolean;
        xl?: string | number | boolean;
        xsPX?: string | number | boolean;
        smPX?: string | number | boolean;
        mdPX?: string | number | boolean;
        lgPX?: string | number | boolean;
        xlPX?: string | number | boolean;
        1?: string | number | boolean;
        2?: string | number | boolean;
        3?: string | number | boolean;
        4?: string | number | boolean;
        5?: string | number | boolean;
        6?: string | number | boolean;
        7?: string | number | boolean;
        8?: string | number | boolean;
        9?: string | number | boolean;
        10?: string | number | boolean;
        11?: string | number | boolean;
        12?: string | number | boolean;
        13?: string | number | boolean;
        14?: string | number | boolean;
        15?: string | number | boolean;
        16?: string | number | boolean;
        17?: string | number | boolean;
        18?: string | number | boolean;
        20?: string | number | boolean;
        24?: string | number | boolean;
        28?: string | number | boolean;
        32?: string | number | boolean;
        36?: string | number | boolean;
        40?: string | number | boolean;
        44?: string | number | boolean;
        48?: string | number | boolean;
        52?: string | number | boolean;
        56?: string | number | boolean;
        60?: string | number | boolean;
        64?: string | number | boolean;
        72?: string | number | boolean;
        80?: string | number | boolean;
        96?: string | number | boolean;
    };
    fontSizes?: {
        xs?: string | number | boolean;
        sm?: string | number | boolean;
        md?: string | number | boolean;
        lg?: string | number | boolean;
        xl?: string | number | boolean;
    };
    fonts?: {
        standard?: string | number | boolean;
        mono?: string | number | boolean;
        fallback?: string | number | boolean;
    };
    fontWeights?: {
        thin?: string | number | boolean;
        extralight?: string | number | boolean;
        light?: string | number | boolean;
        normal?: string | number | boolean;
        medium?: string | number | boolean;
        semibold?: string | number | boolean;
        bold?: string | number | boolean;
        extrabold?: string | number | boolean;
    };
    lineHeights?: {
        xs?: string | number | boolean;
        sm?: string | number | boolean;
        md?: string | number | boolean;
        lg?: string | number | boolean;
        xl?: string | number | boolean;
    };
    letterSpacings?: {
        tighter?: string | number | boolean;
        tight?: string | number | boolean;
        normal?: string | number | boolean;
        wide?: string | number | boolean;
        wider?: string | number | boolean;
        widest?: string | number | boolean;
    };
    sizes?: {};
    radii?: {
        xs?: string | number | boolean;
        sm?: string | number | boolean;
        md?: string | number | boolean;
        lg?: string | number | boolean;
        xl?: string | number | boolean;
        squared?: string | number | boolean;
        rounded?: string | number | boolean;
        pill?: string | number | boolean;
    };
    shadows?: {
        xs?: string | number | boolean;
        sm?: string | number | boolean;
        md?: string | number | boolean;
        lg?: string | number | boolean;
        xl?: string | number | boolean;
    };
    zIndices?: {
        1?: string | number | boolean;
        2?: string | number | boolean;
        3?: string | number | boolean;
        4?: string | number | boolean;
        5?: string | number | boolean;
        10?: string | number | boolean;
        max?: string | number | boolean;
    };
    borderWidths?: {
        light?: string | number | boolean;
        normal?: string | number | boolean;
        bold?: string | number | boolean;
        extrabold?: string | number | boolean;
        black?: string | number | boolean;
        xs?: string | number | boolean;
        sm?: string | number | boolean;
        md?: string | number | boolean;
        lg?: string | number | boolean;
        xl?: string | number | boolean;
    };
    breakpoints?: {
        xs?: string | number | boolean;
        sm?: string | number | boolean;
        md?: string | number | boolean;
        lg?: string | number | boolean;
        xl?: string | number | boolean;
    };
    borderStyles?: {};
    transitions?: {};
} & {
    [x: string]: {
        [x: string]: string | number | boolean;
        [x: number]: string | number | boolean;
    };
})>(nameOrScalesArg0: Argument0, nameOrScalesArg1?: Argument1) => string & {
    className: string;
    selector: string;
} & (Argument0 extends string ? import("@stitches/core/types/stitches").ThemeTokens<Argument1, "svelteui"> : import("@stitches/core/types/stitches").ThemeTokens<Argument0, "svelteui">), config: {
    prefix: "svelteui";
    media: {
        xs: "(min-width: 576px)";
        sm: "(min-width: 768px)";
        md: "(min-width: 992px)";
        lg: "(min-width: 1200px)";
        xl: "(min-width: 1400px)";
    };
    theme: {
        colors: {
            [x: string]: any;
        };
        space: {
            0: string;
            xs: number;
            sm: number;
            md: number;
            lg: number;
            xl: number;
            xsPX: string;
            smPX: string;
            mdPX: string;
            lgPX: string;
            xlPX: string;
            1: string;
            2: string;
            3: string;
            4: string;
            5: string;
            6: string;
            7: string;
            8: string;
            9: string;
            10: string;
            11: string;
            12: string;
            13: string;
            14: string;
            15: string;
            16: string;
            17: string;
            18: string;
            20: string;
            24: string;
            28: string;
            32: string;
            36: string;
            40: string;
            44: string;
            48: string;
            52: string;
            56: string;
            60: string;
            64: string;
            72: string;
            80: string;
            96: string;
        };
        fontSizes: {
            xs: string;
            sm: string;
            md: string;
            lg: string;
            xl: string;
        };
        fonts: {
            standard: string;
            mono: string;
            fallback: string;
        };
        fontWeights: {
            thin: number;
            extralight: number;
            light: number;
            normal: number;
            medium: number;
            semibold: number;
            bold: number;
            extrabold: number;
        };
        lineHeights: {
            xs: number;
            sm: number;
            md: number;
            lg: number;
            xl: number;
        };
        letterSpacings: {
            tighter: string;
            tight: string;
            normal: string;
            wide: string;
            wider: string;
            widest: string;
        };
        sizes: unknown;
        radii: {
            xs: string;
            sm: string;
            md: string;
            lg: string;
            xl: string;
            squared: string;
            rounded: string;
            pill: string;
        };
        shadows: {
            xs: string;
            sm: string;
            md: string;
            lg: string;
            xl: string;
        };
        zIndices: {
            1: string;
            2: string;
            3: string;
            4: string;
            5: string;
            10: string;
            max: string;
        };
        borderWidths: {
            light: string;
            normal: string;
            bold: string;
            extrabold: string;
            black: string;
            xs: string;
            sm: string;
            md: string;
            lg: string;
            xl: string;
        };
        breakpoints: {
            xs: number;
            sm: number;
            md: number;
            lg: number;
            xl: number;
        };
        borderStyles: unknown;
        transitions: unknown;
    };
    themeMap: {
        width: "space";
        height: "space";
        minWidth: "space";
        maxWidth: "space";
        minHeight: "space";
        maxHeight: "space";
        flexBasis: "space";
        gridTemplateColumns: "space";
        gridTemplateRows: "space";
        blockSize: "space";
        minBlockSize: "space";
        maxBlockSize: "space";
        inlineSize: "space";
        minInlineSize: "space";
        maxInlineSize: "space";
        borderWidth: "borderWeights";
        gap: "space";
        gridGap: "space";
        columnGap: "space";
        gridColumnGap: "space";
        rowGap: "space";
        gridRowGap: "space";
        inset: "space";
        insetBlock: "space";
        insetBlockEnd: "space";
        insetBlockStart: "space";
        insetInline: "space";
        insetInlineEnd: "space";
        insetInlineStart: "space";
        margin: "space";
        marginTop: "space";
        marginRight: "space";
        marginBottom: "space";
        marginLeft: "space";
        marginBlock: "space";
        marginBlockEnd: "space";
        marginBlockStart: "space";
        marginInline: "space";
        marginInlineEnd: "space";
        marginInlineStart: "space";
        padding: "space";
        paddingTop: "space";
        paddingRight: "space";
        paddingBottom: "space";
        paddingLeft: "space";
        paddingBlock: "space";
        paddingBlockEnd: "space";
        paddingBlockStart: "space";
        paddingInline: "space";
        paddingInlineEnd: "space";
        paddingInlineStart: "space";
        scrollMargin: "space";
        scrollMarginTop: "space";
        scrollMarginRight: "space";
        scrollMarginBottom: "space";
        scrollMarginLeft: "space";
        scrollMarginBlock: "space";
        scrollMarginBlockEnd: "space";
        scrollMarginBlockStart: "space";
        scrollMarginInline: "space";
        scrollMarginInlineEnd: "space";
        scrollMarginInlineStart: "space";
        scrollPadding: "space";
        scrollPaddingTop: "space";
        scrollPaddingRight: "space";
        scrollPaddingBottom: "space";
        scrollPaddingLeft: "space";
        scrollPaddingBlock: "space";
        scrollPaddingBlockEnd: "space";
        scrollPaddingBlockStart: "space";
        scrollPaddingInline: "space";
        scrollPaddingInlineEnd: "space";
        scrollPaddingInlineStart: "space";
        top: "space";
        right: "space";
        bottom: "space";
        left: "space";
        fontSize: "fontSizes";
        background: "colors";
        backgroundColor: "colors";
        backgroundImage: "colors";
        borderImage: "colors";
        border: "colors";
        borderBlock: "colors";
        borderBlockEnd: "colors";
        borderBlockStart: "colors";
        borderBottom: "colors";
        borderBottomColor: "colors";
        borderColor: "colors";
        borderInline: "colors";
        borderInlineEnd: "colors";
        borderInlineStart: "colors";
        borderLeft: "colors";
        borderLeftColor: "colors";
        borderRight: "colors";
        borderRightColor: "colors";
        borderTop: "colors";
        borderTopColor: "colors";
        caretColor: "colors";
        color: "colors";
        columnRuleColor: "colors";
        outline: "colors";
        outlineColor: "colors";
        fill: "colors";
        stroke: "colors";
        textDecorationColor: "colors";
        fontFamily: "fonts";
        fontWeight: "fontWeights";
        lineHeight: "lineHeights";
        letterSpacing: "letterSpacings";
        borderTopWidth: "borderWidths";
        borderLeftWidth: "borderWidths";
        borderRightWidth: "borderWidths";
        borderBottomWidth: "borderWidths";
        borderStyle: "borderStyles";
        borderTopStyle: "borderStyles";
        borderLeftStyle: "borderStyles";
        borderRightStyle: "borderStyles";
        borderBottomStyle: "borderStyles";
        borderRadius: "radii";
        borderTopLeftRadius: "radii";
        borderTopRightRadius: "radii";
        borderBottomRightRadius: "radii";
        borderBottomLeftRadius: "radii";
        boxShadow: "shadows";
        textShadow: "shadows";
        transition: "transitions";
        zIndex: "zIndices";
    };
    utils: {
        focusRing: (value: 'auto' | 'always' | 'never') => {
            WebkitTapHighlightColor: string;
            '&:focus': {
                outlineOffset: number;
                outline: string;
            };
            '&:focus:not(:focus-visible)': {
                outline: string;
            };
        };
        p: (value: Stitches.ScaleValue<'space'>) => {
            padding: {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        pt: (value: Stitches.ScaleValue<'space'> | number | string) => {
            paddingTop: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        pr: (value: Stitches.ScaleValue<'space'> | number | string) => {
            paddingRight: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        pb: (value: Stitches.ScaleValue<'space'> | number | string) => {
            paddingBottom: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        pl: (value: Stitches.ScaleValue<'space'> | number | string) => {
            paddingLeft: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        px: (value: Stitches.ScaleValue<'space'> | number | string) => {
            paddingLeft: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
            paddingRight: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        py: (value: Stitches.ScaleValue<'space'> | number | string) => {
            paddingTop: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
            paddingBottom: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        m: (value: Stitches.ScaleValue<'space'> | number | string) => {
            margin: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        mt: (value: Stitches.ScaleValue<'space'> | number | string) => {
            marginTop: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        mr: (value: Stitches.ScaleValue<'space'> | number | string) => {
            marginRight: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        mb: (value: Stitches.ScaleValue<'space'> | number | string) => {
            marginBottom: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        ml: (value: Stitches.ScaleValue<'space'> | number | string) => {
            marginLeft: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        mx: (value: Stitches.ScaleValue<'space'> | number | string) => {
            marginLeft: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
            marginRight: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        my: (value: Stitches.ScaleValue<'space'> | number | string) => {
            marginTop: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
            marginBottom: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        ta: (value: Stitches.PropertyValue<'textAlign'>) => {
            textAlign: {
                readonly [Stitches.$$PropertyValue]: "textAlign";
            };
        };
        tt: (value: Stitches.PropertyValue<'textTransform'>) => {
            textTransform: {
                readonly [Stitches.$$PropertyValue]: "textTransform";
            };
        };
        to: (value: Stitches.PropertyValue<'textOverflow'>) => {
            textOverflow: {
                readonly [Stitches.$$PropertyValue]: "textOverflow";
            };
        };
        d: (value: Stitches.PropertyValue<'display'>) => {
            display: {
                readonly [Stitches.$$PropertyValue]: "display";
            };
        };
        dflex: (value: Stitches.PropertyValue<'alignItems' | 'justifyContent'>) => {
            display: string;
            alignItems: {
                readonly [Stitches.$$PropertyValue]: "alignItems" | "justifyContent";
            };
            justifyContent: {
                readonly [Stitches.$$PropertyValue]: "alignItems" | "justifyContent";
            };
        };
        fd: (value: Stitches.PropertyValue<'flexDirection'>) => {
            flexDirection: {
                readonly [Stitches.$$PropertyValue]: "flexDirection";
            };
        };
        fw: (value: Stitches.PropertyValue<'flexWrap'>) => {
            flexWrap: {
                readonly [Stitches.$$PropertyValue]: "flexWrap";
            };
        };
        ai: (value: Stitches.PropertyValue<'alignItems'>) => {
            alignItems: {
                readonly [Stitches.$$PropertyValue]: "alignItems";
            };
        };
        ac: (value: Stitches.PropertyValue<'alignContent'>) => {
            alignContent: {
                readonly [Stitches.$$PropertyValue]: "alignContent";
            };
        };
        jc: (value: Stitches.PropertyValue<'justifyContent'>) => {
            justifyContent: {
                readonly [Stitches.$$PropertyValue]: "justifyContent";
            };
        };
        as: (value: Stitches.PropertyValue<'alignSelf'>) => {
            alignSelf: {
                readonly [Stitches.$$PropertyValue]: "alignSelf";
            };
        };
        fg: (value: Stitches.PropertyValue<'flexGrow'>) => {
            flexGrow: {
                readonly [Stitches.$$PropertyValue]: "flexGrow";
            };
        };
        fs: (value: Stitches.PropertyValue<'fontSize'>) => {
            fontSize: {
                readonly [Stitches.$$PropertyValue]: "fontSize";
            };
        };
        fb: (value: Stitches.PropertyValue<'flexBasis'>) => {
            flexBasis: {
                readonly [Stitches.$$PropertyValue]: "flexBasis";
            };
        };
        bc: (value: Stitches.PropertyValue<'backgroundColor'>) => {
            backgroundColor: {
                readonly [Stitches.$$PropertyValue]: "backgroundColor";
            };
        };
        bf: (value: Stitches.PropertyValue<'backdropFilter'>) => {
            backdropFilter: {
                readonly [Stitches.$$PropertyValue]: "backdropFilter";
            };
        };
        bg: (value: Stitches.PropertyValue<'background'>) => {
            background: {
                readonly [Stitches.$$PropertyValue]: "background";
            };
        };
        bgBlur: (value: Stitches.PropertyValue<'background'>) => {
            bf: string;
            bg: {
                readonly [Stitches.$$PropertyValue]: "background";
            };
        };
        bgColor: (value: Stitches.PropertyValue<'backgroundColor'>) => {
            backgroundColor: {
                readonly [Stitches.$$PropertyValue]: "backgroundColor";
            };
        };
        backgroundClip: (value: Stitches.PropertyValue<'backgroundClip'>) => {
            WebkitBackgroundClip: {
                readonly [Stitches.$$PropertyValue]: "backgroundClip";
            };
            backgroundClip: {
                readonly [Stitches.$$PropertyValue]: "backgroundClip";
            };
        };
        bgClip: (value: Stitches.PropertyValue<'backgroundClip'>) => {
            WebkitBackgroundClip: {
                readonly [Stitches.$$PropertyValue]: "backgroundClip";
            };
            backgroundClip: {
                readonly [Stitches.$$PropertyValue]: "backgroundClip";
            };
        };
        br: (value: Stitches.PropertyValue<'borderRadius'>) => {
            borderRadius: {
                readonly [Stitches.$$PropertyValue]: "borderRadius";
            };
        };
        bw: (value: Stitches.PropertyValue<'borderWidth'>) => {
            borderWidth: {
                readonly [Stitches.$$PropertyValue]: "borderWidth";
            };
        };
        btrr: (value: Stitches.PropertyValue<'borderTopRightRadius'>) => {
            borderTopRightRadius: {
                readonly [Stitches.$$PropertyValue]: "borderTopRightRadius";
            };
        };
        bbrr: (value: Stitches.PropertyValue<'borderBottomRightRadius'>) => {
            borderBottomRightRadius: {
                readonly [Stitches.$$PropertyValue]: "borderBottomRightRadius";
            };
        };
        bblr: (value: Stitches.PropertyValue<'borderBottomLeftRadius'>) => {
            borderBottomLeftRadius: {
                readonly [Stitches.$$PropertyValue]: "borderBottomLeftRadius";
            };
        };
        btlr: (value: Stitches.PropertyValue<'borderTopLeftRadius'>) => {
            borderTopLeftRadius: {
                readonly [Stitches.$$PropertyValue]: "borderTopLeftRadius";
            };
        };
        bs: (value: Stitches.PropertyValue<'boxShadow'>) => {
            boxShadow: {
                readonly [Stitches.$$PropertyValue]: "boxShadow";
            };
        };
        normalShadow: (value: keyof typeof colors) => {
            boxShadow: string;
        };
        lh: (value: Stitches.PropertyValue<'lineHeight'>) => {
            lineHeight: {
                readonly [Stitches.$$PropertyValue]: "lineHeight";
            };
        };
        ov: (value: Stitches.PropertyValue<'overflow'>) => {
            overflow: {
                readonly [Stitches.$$PropertyValue]: "overflow";
            };
        };
        ox: (value: Stitches.PropertyValue<'overflowX'>) => {
            overflowX: {
                readonly [Stitches.$$PropertyValue]: "overflowX";
            };
        };
        oy: (value: Stitches.PropertyValue<'overflowY'>) => {
            overflowY: {
                readonly [Stitches.$$PropertyValue]: "overflowY";
            };
        };
        pe: (value: Stitches.PropertyValue<'pointerEvents'>) => {
            pointerEvents: {
                readonly [Stitches.$$PropertyValue]: "pointerEvents";
            };
        };
        events: (value: Stitches.PropertyValue<'pointerEvents'>) => {
            pointerEvents: {
                readonly [Stitches.$$PropertyValue]: "pointerEvents";
            };
        };
        us: (value: Stitches.PropertyValue<'userSelect'>) => {
            WebkitUserSelect: {
                readonly [Stitches.$$PropertyValue]: "userSelect";
            };
            userSelect: {
                readonly [Stitches.$$PropertyValue]: "userSelect";
            };
        };
        userSelect: (value: Stitches.PropertyValue<'userSelect'>) => {
            WebkitUserSelect: {
                readonly [Stitches.$$PropertyValue]: "userSelect";
            };
            userSelect: {
                readonly [Stitches.$$PropertyValue]: "userSelect";
            };
        };
        w: (value: Stitches.ScaleValue<'space'>) => {
            width: {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        h: (value: Stitches.ScaleValue<'space'> | number | string) => {
            height: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        minW: (value: Stitches.ScaleValue<'scale'> | number | string) => {
            minWidth: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
        };
        minH: (value: Stitches.ScaleValue<'scale'> | number | string) => {
            minWidth: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
        };
        mw: (value: Stitches.ScaleValue<'scale'> | number | string) => {
            maxWidth: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
        };
        maxW: (value: Stitches.ScaleValue<'scale'> | number | string) => {
            maxWidth: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
        };
        mh: (value: Stitches.ScaleValue<'scale'> | number | string) => {
            maxHeight: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
        };
        maxH: (value: Stitches.ScaleValue<'scale'> | number | string) => {
            maxHeight: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
        };
        size: (value: Stitches.ScaleValue<'space'> | number | string) => {
            width: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
            height: string | number | {
                readonly [Stitches.$$ScaleValue]: "space";
            };
        };
        minSize: (value: Stitches.ScaleValue<'scale'> | number | string) => {
            minWidth: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
            minHeight: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
            width: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
            height: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
        };
        sizeMin: (value: Stitches.ScaleValue<'scale'> | number | string) => {
            minWidth: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
            minHeight: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
            width: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
            height: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
        };
        maxSize: (value: Stitches.ScaleValue<'scale'> | number | string) => {
            maxWidth: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
            maxHeight: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
        };
        sizeMax: (value: Stitches.ScaleValue<'scale'> | number | string) => {
            maxWidth: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
            maxHeight: string | number | {
                readonly [Stitches.$$ScaleValue]: "scale";
            };
        };
        appearance: (value: Stitches.PropertyValue<'appearance'>) => {
            WebkitAppearance: {
                readonly [Stitches.$$PropertyValue]: "appearance";
            };
            appearance: {
                readonly [Stitches.$$PropertyValue]: "appearance";
            };
        };
        scale: (value: string) => {
            transform: string;
        };
        linearGradient: (value: string) => {
            backgroundImage: string;
        };
        tdl: (value: Stitches.PropertyValue<'textDecorationLine'>) => {
            textDecorationLine: {
                readonly [Stitches.$$PropertyValue]: "textDecorationLine";
            };
        };
        textGradient: (value: string) => {
            backgroundImage: string;
            WebkitBackgroundClip: string;
            WebkitTextFillColor: string;
        };
    };
};
/** Function for dark theme */
declare const dark: string & {
    className: string;
    selector: string;
} & import("@stitches/core/types/stitches").ThemeTokens<{
    colors: Record<string, string>;
    shadows: {
        xs: string;
        sm: string;
        md: string;
        lg: string;
        xl: string;
    };
}, "svelteui">;
declare const SvelteUIGlobalCSS: () => string;
/**
 * Normalize css function
 */
declare const NormalizeCSS: () => string;
export { SvelteUIGlobalCSS, NormalizeCSS, dark };
